import React from 'react';
import { Trigger, Placement } from '../types';
interface OverlayProps {
    children: React.ReactNode;
    target: React.ReactNode;
    eventListener?: string;
    trigger?: Trigger;
    placement: Placement;
    style?: React.CSSProperties;
    className?: string;
    transformSize: number;
    arrowRound?: number;
    arrowSize?: string;
    contextMenu?: boolean;
    ref?: React.RefObject<OverlayRefObject>;
}
export interface OverlayRefObject {
    hide: () => void;
}
declare const _default: React.ForwardRefExoticComponent<Pick<OverlayProps, "children" | "target" | "eventListener" | "trigger" | "placement" | "style" | "className" | "transformSize" | "arrowRound" | "arrowSize" | "contextMenu"> & React.RefAttributes<OverlayRefObject>>;
export default _default;
//# sourceMappingURL=index.d.ts.map