export declare type ThemeKeys = ThemeKey | ((string | number) & {});
export declare type ThemeKey = keyof ThemeObject;
export interface ThemeObject {
    colorPrimary100: ThemeKeys;
    colorPrimary200: ThemeKeys;
    colorPrimary300: ThemeKeys;
    colorPrimary400: ThemeKeys;
    colorPrimary500: ThemeKeys;
    colorPrimary600: ThemeKeys;
    colorPrimary700: ThemeKeys;
    colorPrimary800: ThemeKeys;
    colorPrimary900: ThemeKeys;
    colorPrimaryTransparent100: ThemeKeys;
    colorPrimaryTransparent200: ThemeKeys;
    colorPrimaryTransparent300: ThemeKeys;
    colorPrimaryTransparent400: ThemeKeys;
    colorPrimaryTransparent500: ThemeKeys;
    colorPrimaryTransparent600: ThemeKeys;
    colorSuccess100: ThemeKeys;
    colorSuccess200: ThemeKeys;
    colorSuccess300: ThemeKeys;
    colorSuccess400: ThemeKeys;
    colorSuccess500: ThemeKeys;
    colorSuccess600: ThemeKeys;
    colorSuccess700: ThemeKeys;
    colorSuccess800: ThemeKeys;
    colorSuccess900: ThemeKeys;
    colorSuccessTransparent100: ThemeKeys;
    colorSuccessTransparent200: ThemeKeys;
    colorSuccessTransparent300: ThemeKeys;
    colorSuccessTransparent400: ThemeKeys;
    colorSuccessTransparent500: ThemeKeys;
    colorSuccessTransparent600: ThemeKeys;
    colorInfo100: ThemeKeys;
    colorInfo200: ThemeKeys;
    colorInfo300: ThemeKeys;
    colorInfo400: ThemeKeys;
    colorInfo500: ThemeKeys;
    colorInfo600: ThemeKeys;
    colorInfo700: ThemeKeys;
    colorInfo800: ThemeKeys;
    colorInfo900: ThemeKeys;
    colorInfoTransparent100: ThemeKeys;
    colorInfoTransparent200: ThemeKeys;
    colorInfoTransparent300: ThemeKeys;
    colorInfoTransparent400: ThemeKeys;
    colorInfoTransparent500: ThemeKeys;
    colorInfoTransparent600: ThemeKeys;
    colorWarning100: ThemeKeys;
    colorWarning200: ThemeKeys;
    colorWarning300: ThemeKeys;
    colorWarning400: ThemeKeys;
    colorWarning500: ThemeKeys;
    colorWarning600: ThemeKeys;
    colorWarning700: ThemeKeys;
    colorWarning800: ThemeKeys;
    colorWarning900: ThemeKeys;
    colorWarningTransparent100: ThemeKeys;
    colorWarningTransparent200: ThemeKeys;
    colorWarningTransparent300: ThemeKeys;
    colorWarningTransparent400: ThemeKeys;
    colorWarningTransparent500: ThemeKeys;
    colorWarningTransparent600: ThemeKeys;
    colorDanger100: ThemeKeys;
    colorDanger200: ThemeKeys;
    colorDanger300: ThemeKeys;
    colorDanger400: ThemeKeys;
    colorDanger500: ThemeKeys;
    colorDanger600: ThemeKeys;
    colorDanger700: ThemeKeys;
    colorDanger800: ThemeKeys;
    colorDanger900: ThemeKeys;
    colorDangerTransparent100: ThemeKeys;
    colorDangerTransparent200: ThemeKeys;
    colorDangerTransparent300: ThemeKeys;
    colorDangerTransparent400: ThemeKeys;
    colorDangerTransparent500: ThemeKeys;
    colorDangerTransparent600: ThemeKeys;
    colorBasic100: ThemeKeys;
    colorBasic200: ThemeKeys;
    colorBasic300: ThemeKeys;
    colorBasic400: ThemeKeys;
    colorBasic500: ThemeKeys;
    colorBasic600: ThemeKeys;
    colorBasic700: ThemeKeys;
    colorBasic800: ThemeKeys;
    colorBasic900: ThemeKeys;
    colorBasic1000: ThemeKeys;
    colorBasic1100: ThemeKeys;
    colorBasicTransparent100: ThemeKeys;
    colorBasicTransparent200: ThemeKeys;
    colorBasicTransparent300: ThemeKeys;
    colorBasicTransparent400: ThemeKeys;
    colorBasicTransparent500: ThemeKeys;
    colorBasicTransparent600: ThemeKeys;
    colorBasicControlTransparent100: ThemeKeys;
    colorBasicControlTransparent200: ThemeKeys;
    colorBasicControlTransparent300: ThemeKeys;
    colorBasicControlTransparent400: ThemeKeys;
    colorBasicControlTransparent500: ThemeKeys;
    colorBasicControlTransparent600: ThemeKeys;
    colorBasicFocus: ThemeKeys;
    colorBasicHover: ThemeKeys;
    colorBasicDefault: ThemeKeys;
    colorBasicActive: ThemeKeys;
    colorBasicDisabled: ThemeKeys;
    colorBasicFocusBorder: ThemeKeys;
    colorBasicHoverBorder: ThemeKeys;
    colorBasicDefaultBorder: ThemeKeys;
    colorBasicActiveBorder: ThemeKeys;
    colorBasicDisabledBorder: ThemeKeys;
    colorBasicTransparentFocus: ThemeKeys;
    colorBasicTransparentHover: ThemeKeys;
    colorBasicTransparentDefault: ThemeKeys;
    colorBasicTransparentActive: ThemeKeys;
    colorBasicTransparentDisabled: ThemeKeys;
    colorBasicTransparentFocusBorder: ThemeKeys;
    colorBasicTransparentHoverBorder: ThemeKeys;
    colorBasicTransparentDefaultBorder: ThemeKeys;
    colorBasicTransparentActiveBorder: ThemeKeys;
    colorBasicTransparentDisabledBorder: ThemeKeys;
    colorPrimaryFocus: ThemeKeys;
    colorPrimaryHover: ThemeKeys;
    colorPrimaryDefault: ThemeKeys;
    colorPrimaryActive: ThemeKeys;
    colorPrimaryDisabled: ThemeKeys;
    colorPrimaryFocusBorder: ThemeKeys;
    colorPrimaryHoverBorder: ThemeKeys;
    colorPrimaryDefaultBorder: ThemeKeys;
    colorPrimaryActiveBorder: ThemeKeys;
    colorPrimaryDisabledBorder: ThemeKeys;
    colorPrimaryTransparentFocus: ThemeKeys;
    colorPrimaryTransparentHover: ThemeKeys;
    colorPrimaryTransparentDefault: ThemeKeys;
    colorPrimaryTransparentActive: ThemeKeys;
    colorPrimaryTransparentDisabled: ThemeKeys;
    colorPrimaryTransparentFocusBorder: ThemeKeys;
    colorPrimaryTransparentHoverBorder: ThemeKeys;
    colorPrimaryTransparentDefaultBorder: ThemeKeys;
    colorPrimaryTransparentActiveBorder: ThemeKeys;
    colorPrimaryTransparentDisabledBorder: ThemeKeys;
    colorSuccessFocus: ThemeKeys;
    colorSuccessHover: ThemeKeys;
    colorSuccessDefault: ThemeKeys;
    colorSuccessActive: ThemeKeys;
    colorSuccessDisabled: ThemeKeys;
    colorSuccessFocusBorder: ThemeKeys;
    colorSuccessHoverBorder: ThemeKeys;
    colorSuccessDefaultBorder: ThemeKeys;
    colorSuccessActiveBorder: ThemeKeys;
    colorSuccessDisabledBorder: ThemeKeys;
    colorSuccessTransparentFocus: ThemeKeys;
    colorSuccessTransparentFocusBorder: ThemeKeys;
    colorSuccessTransparentHover: ThemeKeys;
    colorSuccessTransparentHoverBorder: ThemeKeys;
    colorSuccessTransparentDefault: ThemeKeys;
    colorSuccessTransparentDefaultBorder: ThemeKeys;
    colorSuccessTransparentActive: ThemeKeys;
    colorSuccessTransparentActiveBorder: ThemeKeys;
    colorSuccessTransparentDisabled: ThemeKeys;
    colorSuccessTransparentDisabledBorder: ThemeKeys;
    colorInfoFocus: ThemeKeys;
    colorInfoHover: ThemeKeys;
    colorInfoDefault: ThemeKeys;
    colorInfoActive: ThemeKeys;
    colorInfoDisabled: ThemeKeys;
    colorInfoFocusBorder: ThemeKeys;
    colorInfoHoverBorder: ThemeKeys;
    colorInfoDefaultBorder: ThemeKeys;
    colorInfoActiveBorder: ThemeKeys;
    colorInfoDisabledBorder: ThemeKeys;
    colorInfoTransparentFocus: ThemeKeys;
    colorInfoTransparentHover: ThemeKeys;
    colorInfoTransparentDefault: ThemeKeys;
    colorInfoTransparentActive: ThemeKeys;
    colorInfoTransparentDisabled: ThemeKeys;
    colorInfoTransparentFocusBorder: ThemeKeys;
    colorInfoTransparentHoverBorder: ThemeKeys;
    colorInfoTransparentDefaultBorder: ThemeKeys;
    colorInfoTransparentActiveBorder: ThemeKeys;
    colorInfoTransparentDisabledBorder: ThemeKeys;
    colorWarningFocus: ThemeKeys;
    colorWarningHover: ThemeKeys;
    colorWarningDefault: ThemeKeys;
    colorWarningActive: ThemeKeys;
    colorWarningDisabled: ThemeKeys;
    colorWarningFocusBorder: ThemeKeys;
    colorWarningHoverBorder: ThemeKeys;
    colorWarningDefaultBorder: ThemeKeys;
    colorWarningActiveBorder: ThemeKeys;
    colorWarningDisabledBorder: ThemeKeys;
    colorWarningTransparentFocus: ThemeKeys;
    colorWarningTransparentHover: ThemeKeys;
    colorWarningTransparentDefault: ThemeKeys;
    colorWarningTransparentActive: ThemeKeys;
    colorWarningTransparentDisabled: ThemeKeys;
    colorWarningTransparentFocusBorder: ThemeKeys;
    colorWarningTransparentHoverBorder: ThemeKeys;
    colorWarningTransparentDefaultBorder: ThemeKeys;
    colorWarningTransparentActiveBorder: ThemeKeys;
    colorWarningTransparentDisabledBorder: ThemeKeys;
    colorDangerFocus: ThemeKeys;
    colorDangerHover: ThemeKeys;
    colorDangerDefault: ThemeKeys;
    colorDangerActive: ThemeKeys;
    colorDangerDisabled: ThemeKeys;
    colorDangerFocusBorder: ThemeKeys;
    colorDangerHoverBorder: ThemeKeys;
    colorDangerDefaultBorder: ThemeKeys;
    colorDangerActiveBorder: ThemeKeys;
    colorDangerDisabledBorder: ThemeKeys;
    colorDangerTransparentFocus: ThemeKeys;
    colorDangerTransparentHover: ThemeKeys;
    colorDangerTransparentDefault: ThemeKeys;
    colorDangerTransparentActive: ThemeKeys;
    colorDangerTransparentDisabled: ThemeKeys;
    colorDangerTransparentFocusBorder: ThemeKeys;
    colorDangerTransparentHoverBorder: ThemeKeys;
    colorDangerTransparentDefaultBorder: ThemeKeys;
    colorDangerTransparentActiveBorder: ThemeKeys;
    colorDangerTransparentDisabledBorder: ThemeKeys;
    colorControlFocus: ThemeKeys;
    colorControlHover: ThemeKeys;
    colorControlDefault: ThemeKeys;
    colorControlActive: ThemeKeys;
    colorControlDisabled: ThemeKeys;
    colorControlFocusBorder: ThemeKeys;
    colorControlHoverBorder: ThemeKeys;
    colorControlDefaultBorder: ThemeKeys;
    colorControlActiveBorder: ThemeKeys;
    colorControlDisabledBorder: ThemeKeys;
    colorControlTransparentFocus: ThemeKeys;
    colorControlTransparentHover: ThemeKeys;
    colorControlTransparentDefault: ThemeKeys;
    colorControlTransparentActive: ThemeKeys;
    colorControlTransparentDisabled: ThemeKeys;
    colorControlTransparentFocusBorder: ThemeKeys;
    colorControlTransparentHoverBorder: ThemeKeys;
    colorControlTransparentDefaultBorder: ThemeKeys;
    colorControlTransparentActiveBorder: ThemeKeys;
    colorControlTransparentDisabledBorder: ThemeKeys;
    backgroundBasicColor1: ThemeKeys;
    backgroundBasicColor2: ThemeKeys;
    backgroundBasicColor3: ThemeKeys;
    backgroundBasicColor4: ThemeKeys;
    borderBasicColor1: ThemeKeys;
    borderBasicColor2: ThemeKeys;
    borderBasicColor3: ThemeKeys;
    borderBasicColor4: ThemeKeys;
    borderBasicColor5: ThemeKeys;
    backgroundAlternativeColor1: ThemeKeys;
    backgroundAlternativeColor2: ThemeKeys;
    backgroundAlternativeColor3: ThemeKeys;
    backgroundAlternativeColor4: ThemeKeys;
    borderAlternativeColor1: ThemeKeys;
    borderAlternativeColor2: ThemeKeys;
    borderAlternativeColor3: ThemeKeys;
    borderAlternativeColor4: ThemeKeys;
    borderAlternativeColor5: ThemeKeys;
    backgroundPrimaryColor1: ThemeKeys;
    backgroundPrimaryColor2: ThemeKeys;
    backgroundPrimaryColor3: ThemeKeys;
    backgroundPrimaryColor4: ThemeKeys;
    borderPrimaryColor1: ThemeKeys;
    borderPrimaryColor2: ThemeKeys;
    borderPrimaryColor3: ThemeKeys;
    borderPrimaryColor4: ThemeKeys;
    borderPrimaryColor5: ThemeKeys;
    textBasicColor: ThemeKeys;
    textAlternateColor: ThemeKeys;
    textControlColor: ThemeKeys;
    textDisabledColor: ThemeKeys;
    textHintColor: ThemeKeys;
    textPrimaryColor: ThemeKeys;
    textPrimaryFocusColor: ThemeKeys;
    textPrimaryHoverColor: ThemeKeys;
    textPrimaryActiveColor: ThemeKeys;
    textPrimaryDisabledColor: ThemeKeys;
    textSuccessColor: ThemeKeys;
    textSuccessFocusColor: ThemeKeys;
    textSuccessHoverColor: ThemeKeys;
    textSuccessActiveColor: ThemeKeys;
    textSuccessDisabledColor: ThemeKeys;
    textInfoColor: ThemeKeys;
    textInfoFocusColor: ThemeKeys;
    textInfoHoverColor: ThemeKeys;
    textInfoActiveColor: ThemeKeys;
    textInfoDisabledColor: ThemeKeys;
    textWarningColor: ThemeKeys;
    textWarningFocusColor: ThemeKeys;
    textWarningHoverColor: ThemeKeys;
    textWarningActiveColor: ThemeKeys;
    textWarningDisabledColor: ThemeKeys;
    textDangerColor: ThemeKeys;
    textDangerFocusColor: ThemeKeys;
    textDangerHoverColor: ThemeKeys;
    textDangerActiveColor: ThemeKeys;
    textDangerDisabledColor: ThemeKeys;
    fontFamilyPrimary: ThemeKeys;
    fontFamilySecondary: ThemeKeys;
    textHeading1FontFamily: ThemeKeys;
    textHeading1FontSize: ThemeKeys;
    textHeading1FontWeight: ThemeKeys;
    textHeading1LineHeight: ThemeKeys;
    textHeading2FontFamily: ThemeKeys;
    textHeading2FontSize: ThemeKeys;
    textHeading2FontWeight: ThemeKeys;
    textHeading2LineHeight: ThemeKeys;
    textHeading3FontFamily: ThemeKeys;
    textHeading3FontSize: ThemeKeys;
    textHeading3FontWeight: ThemeKeys;
    textHeading3LineHeight: ThemeKeys;
    textHeading4FontFamily: ThemeKeys;
    textHeading4FontSize: ThemeKeys;
    textHeading4FontWeight: ThemeKeys;
    textHeading4LineHeight: ThemeKeys;
    textHeading5FontFamily: ThemeKeys;
    textHeading5FontSize: ThemeKeys;
    textHeading5FontWeight: ThemeKeys;
    textHeading5LineHeight: ThemeKeys;
    textHeading6FontFamily: ThemeKeys;
    textHeading6FontSize: ThemeKeys;
    textHeading6FontWeight: ThemeKeys;
    textHeading6LineHeight: ThemeKeys;
    textSubtitleFontFamily: ThemeKeys;
    textSubtitleFontSize: ThemeKeys;
    textSubtitleFontWeight: ThemeKeys;
    textSubtitleLineHeight: ThemeKeys;
    textSubtitle2FontFamily: ThemeKeys;
    textSubtitle2FontSize: ThemeKeys;
    textSubtitle2FontWeight: ThemeKeys;
    textSubtitle2LineHeight: ThemeKeys;
    textParagraphFontFamily: ThemeKeys;
    textParagraphFontSize: ThemeKeys;
    textParagraphFontWeight: ThemeKeys;
    textParagraphLineHeight: ThemeKeys;
    textParagraph2FontFamily: ThemeKeys;
    textParagraph2FontSize: ThemeKeys;
    textParagraph2FontWeight: ThemeKeys;
    textParagraph2LineHeight: ThemeKeys;
    textLabelFontFamily: ThemeKeys;
    textLabelFontSize: ThemeKeys;
    textLabelFontWeight: ThemeKeys;
    textLabelLineHeight: ThemeKeys;
    textCaptionFontFamily: ThemeKeys;
    textCaptionFontSize: ThemeKeys;
    textCaptionFontWeight: ThemeKeys;
    textCaptionLineHeight: ThemeKeys;
    textCaption2FontFamily: ThemeKeys;
    textCaption2FontSize: ThemeKeys;
    textCaption2FontWeight: ThemeKeys;
    textCaption2LineHeight: ThemeKeys;
    textButtonFontFamily: ThemeKeys;
    textButtonFontWeight: ThemeKeys;
    textButtonTinyFontSize: ThemeKeys;
    textButtonTinyLineHeight: ThemeKeys;
    textButtonSmallFontSize: ThemeKeys;
    textButtonSmallLineHeight: ThemeKeys;
    textButtonMediumFontSize: ThemeKeys;
    textButtonMediumLineHeight: ThemeKeys;
    textButtonLargeFontSize: ThemeKeys;
    textButtonLargeLineHeight: ThemeKeys;
    textButtonGiantFontSize: ThemeKeys;
    textButtonGiantLineHeight: ThemeKeys;
    borderRadius: ThemeKeys;
    outlineWidth: ThemeKeys;
    outlineColor: ThemeKeys;
    scrollbarColor: ThemeKeys;
    scrollbarBackgroundColor: ThemeKeys;
    scrollbarWidth: ThemeKeys;
    shadow: ThemeKeys;
    dividerColor: ThemeKeys;
    dividerStyle: ThemeKeys;
    dividerWidth: ThemeKeys;
    linkTextColor: ThemeKeys;
    linkTextFocusColor: ThemeKeys;
    linkTextHoverColor: ThemeKeys;
    cardBackgroundColor: ThemeKeys;
    cardTextColor: ThemeKeys;
    cardTextFontFamily: ThemeKeys;
    cardTextFontSize: ThemeKeys;
    cardTextFontWeight: ThemeKeys;
    cardTextLineHeight: ThemeKeys;
    cardBorderWidth: ThemeKeys;
    cardBorderStyle: ThemeKeys;
    cardBorderColor: ThemeKeys;
    cardBorderRadius: ThemeKeys;
    cardPadding: ThemeKeys;
    cardShadow: ThemeKeys;
    cardDividerColor: ThemeKeys;
    cardDividerStyle: ThemeKeys;
    cardDividerWidth: ThemeKeys;
    cardHeaderTextColor: ThemeKeys;
    cardHeaderTextFontFamily: ThemeKeys;
    cardHeaderTextFontSize: ThemeKeys;
    cardHeaderTextFontWeight: ThemeKeys;
    cardHeaderTextLineHeight: ThemeKeys;
    cardHeaderBasicBackgroundColor: ThemeKeys;
    cardHeaderBasicTextColor: ThemeKeys;
    cardHeaderPrimaryBackgroundColor: ThemeKeys;
    cardHeaderPrimaryTextColor: ThemeKeys;
    cardHeaderInfoBackgroundColor: ThemeKeys;
    cardHeaderInfoTextColor: ThemeKeys;
    cardHeaderSuccessBackgroundColor: ThemeKeys;
    cardHeaderSuccessTextColor: ThemeKeys;
    cardHeaderWarningBackgroundColor: ThemeKeys;
    cardHeaderWarningTextColor: ThemeKeys;
    cardHeaderDangerBackgroundColor: ThemeKeys;
    cardHeaderDangerTextColor: ThemeKeys;
    cardHeaderControlBackgroundColor: ThemeKeys;
    cardHeaderControlTextColor: ThemeKeys;
    cardHeightTiny: ThemeKeys;
    cardHeightSmall: ThemeKeys;
    cardHeightMedium: ThemeKeys;
    cardHeightLarge: ThemeKeys;
    cardHeightGiant: ThemeKeys;
    cardMarginBottom: ThemeKeys;
    cardScrollbarColor: ThemeKeys;
    cardScrollbarBackgroundColor: ThemeKeys;
    cardScrollbarWidth: ThemeKeys;
    headerBackgroundColor: ThemeKeys;
    headerTextColor: ThemeKeys;
    headerTextFontFamily: ThemeKeys;
    headerTextFontSize: ThemeKeys;
    headerTextFontWeight: ThemeKeys;
    headerTextLineHeight: ThemeKeys;
    headerHeight: ThemeKeys;
    headerPadding: ThemeKeys;
    headerShadow: ThemeKeys;
    footerBackgroundColor: ThemeKeys;
    footerTextColor: ThemeKeys;
    footerTextFontFamily: ThemeKeys;
    footerTextFontSize: ThemeKeys;
    footerTextFontWeight: ThemeKeys;
    footerTextLineHeight: ThemeKeys;
    footerTextHighlightColor: ThemeKeys;
    footerHeight: ThemeKeys;
    footerPadding: ThemeKeys;
    footerDividerColor: ThemeKeys;
    footerDividerStyle: ThemeKeys;
    footerDividerWidth: ThemeKeys;
    footerShadow: ThemeKeys;
    layoutBackgroundColor: ThemeKeys;
    layoutTextColor: ThemeKeys;
    layoutTextFontFamily: ThemeKeys;
    layoutTextFontSize: ThemeKeys;
    layoutTextFontWeight: ThemeKeys;
    layoutTextLineHeight: ThemeKeys;
    layoutMinHeight: ThemeKeys;
    layoutContentWidth: ThemeKeys;
    layoutWindowModeMinWidth: ThemeKeys;
    layoutWindowModeMaxWidth: ThemeKeys;
    layoutWindowModeBackgroundColor: ThemeKeys;
    layoutWindowModePaddingTop: ThemeKeys;
    layoutWindowShadow: ThemeKeys;
    layoutPadding: ThemeKeys;
    layoutMediumPadding: ThemeKeys;
    layoutSmallPadding: ThemeKeys;
    layoutScrollbarBackgroundColor: ThemeKeys;
    layoutScrollbarColor: ThemeKeys;
    layoutScrollbarWidth: ThemeKeys;
    sidebarBackgroundColor: ThemeKeys;
    sidebarTextColor: ThemeKeys;
    sidebarTextFontFamily: ThemeKeys;
    sidebarTextFontSize: ThemeKeys;
    sidebarTextFontWeight: ThemeKeys;
    sidebarTextLineHeight: ThemeKeys;
    sidebarHeight: ThemeKeys;
    sidebarWidth: ThemeKeys;
    sidebarWidthCompact: ThemeKeys;
    sidebarPadding: ThemeKeys;
    sidebarHeaderHeight: ThemeKeys;
    sidebarFooterHeight: ThemeKeys;
    sidebarShadow: ThemeKeys;
    sidebarMenuItemHighlightColor: ThemeKeys;
    sidebarScrollbarBackgroundColor: ThemeKeys;
    sidebarScrollbarColor: ThemeKeys;
    sidebarScrollbarWidth: ThemeKeys;
    menuBackgroundColor: ThemeKeys;
    menuTextColor: ThemeKeys;
    menuTextFontFamily: ThemeKeys;
    menuTextFontSize: ThemeKeys;
    menuTextFontWeight: ThemeKeys;
    menuTextLineHeight: ThemeKeys;
    menuGroupTextColor: ThemeKeys;
    menuItemBorderRadius: ThemeKeys;
    menuItemPadding: ThemeKeys;
    menuItemHoverBackgroundColor: ThemeKeys;
    menuItemHoverCursor: ThemeKeys;
    menuItemHoverTextColor: ThemeKeys;
    menuItemIconHoverColor: ThemeKeys;
    menuItemActiveBackgroundColor: ThemeKeys;
    menuItemActiveTextColor: ThemeKeys;
    menuItemIconActiveColor: ThemeKeys;
    menuItemIconColor: ThemeKeys;
    menuItemIconMargin: ThemeKeys;
    menuItemIconWidth: ThemeKeys;
    menuItemDividerColor: ThemeKeys;
    menuItemDividerStyle: ThemeKeys;
    menuItemDividerWidth: ThemeKeys;
    menuSubmenuBackgroundColor: ThemeKeys;
    menuSubmenuTextColor: ThemeKeys;
    menuSubmenuMargin: ThemeKeys;
    menuSubmenuPadding: ThemeKeys;
    menuSubmenuItemBorderColor: ThemeKeys;
    menuSubmenuItemBorderStyle: ThemeKeys;
    menuSubmenuItemBorderWidth: ThemeKeys;
    menuSubmenuItemBorderRadius: ThemeKeys;
    menuSubmenuItemPadding: ThemeKeys;
    menuSubmenuItemHoverBackgroundColor: ThemeKeys;
    menuSubmenuItemHoverBorderColor: ThemeKeys;
    menuSubmenuItemHoverTextColor: ThemeKeys;
    menuSubmenuItemIconHoverColor: ThemeKeys;
    menuSubmenuItemActiveBackgroundColor: ThemeKeys;
    menuSubmenuItemActiveBorderColor: ThemeKeys;
    menuSubmenuItemActiveTextColor: ThemeKeys;
    menuSubmenuItemIconActiveColor: ThemeKeys;
    menuSubmenuItemActiveHoverBackgroundColor: ThemeKeys;
    menuSubmenuItemActiveHoverBorderColor: ThemeKeys;
    menuSubmenuItemActiveHoverTextColor: ThemeKeys;
    menuSubmenuItemIconActiveHoverColor: ThemeKeys;
    tabsetBackgroundColor: ThemeKeys;
    tabsetBorderRadius: ThemeKeys;
    tabsetShadow: ThemeKeys;
    tabsetTabBackgroundColor: ThemeKeys;
    tabsetTabPadding: ThemeKeys;
    tabsetTabTextColor: ThemeKeys;
    tabsetTabTextFontFamily: ThemeKeys;
    tabsetTabTextFontSize: ThemeKeys;
    tabsetTabTextFontWeight: ThemeKeys;
    tabsetTabTextLineHeight: ThemeKeys;
    tabsetTabTextTransform: ThemeKeys;
    tabsetTabUnderlineWidth: ThemeKeys;
    tabsetTabUnderlineColor: ThemeKeys;
    tabsetTabActiveBackgroundColor: ThemeKeys;
    tabsetTabActiveTextColor: ThemeKeys;
    tabsetTabActiveUnderlineColor: ThemeKeys;
    tabsetTabFocusBackgroundColor: ThemeKeys;
    tabsetTabFocusTextColor: ThemeKeys;
    tabsetTabFocusUnderlineColor: ThemeKeys;
    tabsetTabHoverBackgroundColor: ThemeKeys;
    tabsetTabHoverTextColor: ThemeKeys;
    tabsetTabHoverUnderlineColor: ThemeKeys;
    tabsetTabDisabledBackgroundColor: ThemeKeys;
    tabsetTabDisabledTextColor: ThemeKeys;
    tabsetTabDisabledUnderlineColor: ThemeKeys;
    tabsetDividerColor: ThemeKeys;
    tabsetDividerStyle: ThemeKeys;
    tabsetDividerWidth: ThemeKeys;
    tabsetContentBackgroundColor: ThemeKeys;
    tabsetContentPadding: ThemeKeys;
    tabsetContentTextColor: ThemeKeys;
    tabsetContentTextFontFamily: ThemeKeys;
    tabsetContentTextFontSize: ThemeKeys;
    tabsetContentTextFontWeight: ThemeKeys;
    tabsetContentTextLineHeight: ThemeKeys;
    tabsetScrollbarColor: ThemeKeys;
    tabsetScrollbarBackgroundColor: ThemeKeys;
    tabsetScrollbarWidth: ThemeKeys;
    tabsetTabTextHideBreakpoint: ThemeKeys;
    routeTabsetBackgroundColor: ThemeKeys;
    routeTabsetBorderRadius: ThemeKeys;
    routeTabsetShadow: ThemeKeys;
    routeTabsetTabBackgroundColor: ThemeKeys;
    routeTabsetTabPadding: ThemeKeys;
    routeTabsetTabTextColor: ThemeKeys;
    routeTabsetTabTextFontFamily: ThemeKeys;
    routeTabsetTabTextFontSize: ThemeKeys;
    routeTabsetTabTextFontWeight: ThemeKeys;
    routeTabsetTabTextLineHeight: ThemeKeys;
    routeTabsetTabTextTransform: ThemeKeys;
    routeTabsetTabUnderlineWidth: ThemeKeys;
    routeTabsetTabUnderlineColor: ThemeKeys;
    routeTabsetTabActiveBackgroundColor: ThemeKeys;
    routeTabsetTabActiveTextColor: ThemeKeys;
    routeTabsetTabActiveUnderlineColor: ThemeKeys;
    routeTabsetTabFocusBackgroundColor: ThemeKeys;
    routeTabsetTabFocusTextColor: ThemeKeys;
    routeTabsetTabFocusUnderlineColor: ThemeKeys;
    routeTabsetTabHoverBackgroundColor: ThemeKeys;
    routeTabsetTabHoverTextColor: ThemeKeys;
    routeTabsetTabHoverUnderlineColor: ThemeKeys;
    routeTabsetTabDisabledBackgroundColor: ThemeKeys;
    routeTabsetTabDisabledTextColor: ThemeKeys;
    routeTabsetTabDisabledUnderlineColor: ThemeKeys;
    routeTabsetDividerColor: ThemeKeys;
    routeTabsetDividerStyle: ThemeKeys;
    routeTabsetDividerWidth: ThemeKeys;
    routeTabsetScrollbarColor: ThemeKeys;
    routeTabsetScrollbarBackgroundColor: ThemeKeys;
    routeTabsetScrollbarWidth: ThemeKeys;
    routeTabsetTabTextHideBreakpoint: ThemeKeys;
    userPictureBoxBackgroundColor: ThemeKeys;
    userPictureBoxBorderColor: ThemeKeys;
    userPictureBoxBorderWidth: ThemeKeys;
    userInitialsTextColor: ThemeKeys;
    userInitialsTextFontFamily: ThemeKeys;
    userInitialsTextFontWeight: ThemeKeys;
    userNameTextColor: ThemeKeys;
    userNameTextFontFamily: ThemeKeys;
    userNameTextFontWeight: ThemeKeys;
    userTitleTextColor: ThemeKeys;
    userTitleTextFontFamily: ThemeKeys;
    userTitleTextFontWeight: ThemeKeys;
    userRectangleBorderRadius: ThemeKeys;
    userSemiRoundBorderRadius: ThemeKeys;
    userRoundBorderRadius: ThemeKeys;
    userTinyHeight: ThemeKeys;
    userTinyWidth: ThemeKeys;
    userTinyInitialsTextFontSize: ThemeKeys;
    userTinyInitialsTextLineHeight: ThemeKeys;
    userTinyNameTextFontSize: ThemeKeys;
    userTinyNameTextLineHeight: ThemeKeys;
    userTinyTitleTextFontSize: ThemeKeys;
    userTinyTitleTextLineHeight: ThemeKeys;
    userSmallHeight: ThemeKeys;
    userSmallWidth: ThemeKeys;
    userSmallInitialsTextFontSize: ThemeKeys;
    userSmallInitialsTextLineHeight: ThemeKeys;
    userSmallNameTextFontSize: ThemeKeys;
    userSmallNameTextLineHeight: ThemeKeys;
    userSmallTitleTextFontSize: ThemeKeys;
    userSmallTitleTextLineHeight: ThemeKeys;
    userMediumHeight: ThemeKeys;
    userMediumWidth: ThemeKeys;
    userMediumInitialsTextFontSize: ThemeKeys;
    userMediumInitialsTextLineHeight: ThemeKeys;
    userMediumNameTextFontSize: ThemeKeys;
    userMediumNameTextLineHeight: ThemeKeys;
    userMediumTitleTextFontSize: ThemeKeys;
    userMediumTitleTextLineHeight: ThemeKeys;
    userLargeHeight: ThemeKeys;
    userLargeWidth: ThemeKeys;
    userLargeInitialsTextFontSize: ThemeKeys;
    userLargeInitialsTextLineHeight: ThemeKeys;
    userLargeNameTextFontSize: ThemeKeys;
    userLargeNameTextLineHeight: ThemeKeys;
    userLargeTitleTextFontSize: ThemeKeys;
    userLargeTitleTextLineHeight: ThemeKeys;
    userGiantHeight: ThemeKeys;
    userGiantWidth: ThemeKeys;
    userGiantInitialsTextFontSize: ThemeKeys;
    userGiantInitialsTextLineHeight: ThemeKeys;
    userGiantNameTextFontSize: ThemeKeys;
    userGiantNameTextLineHeight: ThemeKeys;
    userGiantTitleTextFontSize: ThemeKeys;
    userGiantTitleTextLineHeight: ThemeKeys;
    popoverTextColor: ThemeKeys;
    popoverTextFontFamily: ThemeKeys;
    popoverTextFontSize: ThemeKeys;
    popoverTextFontWeight: ThemeKeys;
    popoverTextLineHeight: ThemeKeys;
    popoverBackgroundColor: ThemeKeys;
    popoverBorderWidth: ThemeKeys;
    popoverBorderColor: ThemeKeys;
    popoverBorderRadius: ThemeKeys;
    popoverShadow: ThemeKeys;
    popoverArrowSize: ThemeKeys;
    popoverPadding: ThemeKeys;
    contextMenuBackgroundColor: ThemeKeys;
    contextMenuBorderColor: ThemeKeys;
    contextMenuBorderStyle: ThemeKeys;
    contextMenuBorderWidth: ThemeKeys;
    contextMenuBorderRadius: ThemeKeys;
    contextMenuMinWidth: ThemeKeys;
    contextMenuMaxWidth: ThemeKeys;
    contextMenuShadow: ThemeKeys;
    actionsBackgroundColor: ThemeKeys;
    actionsDividerColor: ThemeKeys;
    actionsDividerStyle: ThemeKeys;
    actionsDividerWidth: ThemeKeys;
    actionsIconColor: ThemeKeys;
    actionsTextColor: ThemeKeys;
    actionsTextFontFamily: ThemeKeys;
    actionsTextFontWeight: ThemeKeys;
    actionsTextLineHeight: ThemeKeys;
    actionsDisabledIconColor: ThemeKeys;
    actionsDisabledTextColor: ThemeKeys;
    actionsTinyHeight: ThemeKeys;
    actionsTinyIconHeight: ThemeKeys;
    actionsTinyPadding: ThemeKeys;
    actionsTinyTextFontSize: ThemeKeys;
    actionsSmallHeight: ThemeKeys;
    actionsSmallIconHeight: ThemeKeys;
    actionsSmallPadding: ThemeKeys;
    actionsSmallTextFontSize: ThemeKeys;
    actionsMediumHeight: ThemeKeys;
    actionsMediumIconHeight: ThemeKeys;
    actionsMediumPadding: ThemeKeys;
    actionsMediumTextFontSize: ThemeKeys;
    actionsLargeHeight: ThemeKeys;
    actionsLargeIconHeight: ThemeKeys;
    actionsLargePadding: ThemeKeys;
    actionsLargeTextFontSize: ThemeKeys;
    actionsGiantHeight: ThemeKeys;
    actionsGiantIconHeight: ThemeKeys;
    actionsGiantPadding: ThemeKeys;
    actionsGiantTextFontSize: ThemeKeys;
    searchBackgroundColor: ThemeKeys;
    searchDividerColor: ThemeKeys;
    searchDividerStyle: ThemeKeys;
    searchDividerWidth: ThemeKeys;
    searchExtraBackgroundColor: ThemeKeys;
    searchTextColor: ThemeKeys;
    searchTextFontFamily: ThemeKeys;
    searchTextFontSize: ThemeKeys;
    searchTextFontWeight: ThemeKeys;
    searchTextLineHeight: ThemeKeys;
    searchPlaceholderTextColor: ThemeKeys;
    searchInfoTextColor: ThemeKeys;
    searchInfoTextFontFamily: ThemeKeys;
    searchInfoTextFontSize: ThemeKeys;
    searchInfoTextFontWeight: ThemeKeys;
    searchInfoTextLineHeight: ThemeKeys;
    smartTableHeaderFontFamily: ThemeKeys;
    smartTableHeaderFontSize: ThemeKeys;
    smartTableHeaderFontWeight: ThemeKeys;
    smartTableHeaderLineHeight: ThemeKeys;
    smartTableHeaderFg: ThemeKeys;
    smartTableHeaderBg: ThemeKeys;
    smartTableFontFamily: ThemeKeys;
    smartTableFontSize: ThemeKeys;
    smartTableFontWeight: ThemeKeys;
    smartTableLineHeight: ThemeKeys;
    smartTableFg: ThemeKeys;
    smartTableBg: ThemeKeys;
    smartTableBgEven: ThemeKeys;
    smartTableFgSecondary: ThemeKeys;
    smartTableBgActive: ThemeKeys;
    smartTablePadding: ThemeKeys;
    smartTableFilterPadding: ThemeKeys;
    smartTableSeparator: ThemeKeys;
    smartTableBorderRadius: ThemeKeys;
    smartTableActionAddEditHoverTextColor: ThemeKeys;
    smartTableActionCancelDeleteHoverTextColor: ThemeKeys;
    smartTableAddButtonBorderColor: ThemeKeys;
    smartTableAddButtonBackgroundColor: ThemeKeys;
    smartTableAddButtonTextColor: ThemeKeys;
    smartTableAddButtonFocusBorderColor: ThemeKeys;
    smartTableAddButtonHoverBackgroundColor: ThemeKeys;
    smartTableAddButtonHoverBorderColor: ThemeKeys;
    smartTableAddButtonActiveBackgroundColor: ThemeKeys;
    smartTableAddButtonActiveBorderColor: ThemeKeys;
    smartTablePagingFontFamily: ThemeKeys;
    smartTablePagingFontSize: ThemeKeys;
    smartTablePagingLineHeight: ThemeKeys;
    smartTablePagingBorderColor: ThemeKeys;
    smartTablePagingBorderWidth: ThemeKeys;
    smartTablePagingFgActive: ThemeKeys;
    smartTablePagingBgActive: ThemeKeys;
    smartTablePagingHover: ThemeKeys;
    smartTablePagingHoverBorderColor: ThemeKeys;
    smartTablePagingHoverTextColor: ThemeKeys;
    smartTablePagingDisabledTextColor: ThemeKeys;
    smartTablePagingPageTextColor: ThemeKeys;
    smartTablePagingPageFocusBorderColor: ThemeKeys;
    smartTablePagingPageFocusTextColor: ThemeKeys;
    toastrBorderStyle: ThemeKeys;
    toastrBorderWidth: ThemeKeys;
    toastrBorderRadius: ThemeKeys;
    toastrPadding: ThemeKeys;
    toastrShadow: ThemeKeys;
    toastrTextFontFamily: ThemeKeys;
    toastrTextFontSize: ThemeKeys;
    toastrTextFontWeight: ThemeKeys;
    toastrTextLineHeight: ThemeKeys;
    toastrTitleTextFontFamily: ThemeKeys;
    toastrTitleTextFontSize: ThemeKeys;
    toastrTitleTextFontWeight: ThemeKeys;
    toastrTitleTextLineHeight: ThemeKeys;
    toastrBasicBackgroundColor: ThemeKeys;
    toastrBasicBorderColor: ThemeKeys;
    toastrBasicTextColor: ThemeKeys;
    toastrIconBasicBackgroundColor: ThemeKeys;
    toastrIconBasicColor: ThemeKeys;
    toastrDestroyableBasicHoverBackgroundColor: ThemeKeys;
    toastrDestroyableBasicHoverBorderColor: ThemeKeys;
    toastrPrimaryBackgroundColor: ThemeKeys;
    toastrPrimaryBorderColor: ThemeKeys;
    toastrPrimaryTextColor: ThemeKeys;
    toastrIconPrimaryBackgroundColor: ThemeKeys;
    toastrIconPrimaryColor: ThemeKeys;
    toastrDestroyablePrimaryHoverBackgroundColor: ThemeKeys;
    toastrDestroyablePrimaryHoverBorderColor: ThemeKeys;
    toastrSuccessBackgroundColor: ThemeKeys;
    toastrSuccessBorderColor: ThemeKeys;
    toastrSuccessTextColor: ThemeKeys;
    toastrIconSuccessBackgroundColor: ThemeKeys;
    toastrIconSuccessColor: ThemeKeys;
    toastrDestroyableSuccessHoverBackgroundColor: ThemeKeys;
    toastrDestroyableSuccessHoverBorderColor: ThemeKeys;
    toastrInfoBackgroundColor: ThemeKeys;
    toastrInfoBorderColor: ThemeKeys;
    toastrInfoTextColor: ThemeKeys;
    toastrIconInfoBackgroundColor: ThemeKeys;
    toastrIconInfoColor: ThemeKeys;
    toastrDestroyableInfoHoverBackgroundColor: ThemeKeys;
    toastrDestroyableInfoHoverBorderColor: ThemeKeys;
    toastrWarningBackgroundColor: ThemeKeys;
    toastrWarningBorderColor: ThemeKeys;
    toastrWarningTextColor: ThemeKeys;
    toastrIconWarningBackgroundColor: ThemeKeys;
    toastrIconWarningColor: ThemeKeys;
    toastrDestroyableWarningHoverBackgroundColor: ThemeKeys;
    toastrDestroyableWarningHoverBorderColor: ThemeKeys;
    toastrDangerBackgroundColor: ThemeKeys;
    toastrDangerBorderColor: ThemeKeys;
    toastrDangerTextColor: ThemeKeys;
    toastrIconDangerBackgroundColor: ThemeKeys;
    toastrIconDangerColor: ThemeKeys;
    toastrDestroyableDangerHoverBackgroundColor: ThemeKeys;
    toastrDestroyableDangerHoverBorderColor: ThemeKeys;
    toastrControlBackgroundColor: ThemeKeys;
    toastrControlBorderColor: ThemeKeys;
    toastrControlTextColor: ThemeKeys;
    toastrIconControlBackgroundColor: ThemeKeys;
    toastrIconControlColor: ThemeKeys;
    toastrDestroyableControlHoverBackgroundColor: ThemeKeys;
    toastrDestroyableControlHoverBorderColor: ThemeKeys;
    buttonCursor: ThemeKeys;
    buttonOutlineWidth: ThemeKeys;
    buttonOutlineColor: ThemeKeys;
    buttonTextFontFamily: ThemeKeys;
    buttonTextFontWeight: ThemeKeys;
    buttonDisabledCursor: ThemeKeys;
    buttonTinyTextFontSize: ThemeKeys;
    buttonTinyTextLineHeight: ThemeKeys;
    buttonSmallTextFontSize: ThemeKeys;
    buttonSmallTextLineHeight: ThemeKeys;
    buttonMediumTextFontSize: ThemeKeys;
    buttonMediumTextLineHeight: ThemeKeys;
    buttonLargeTextFontSize: ThemeKeys;
    buttonLargeTextLineHeight: ThemeKeys;
    buttonGiantTextFontSize: ThemeKeys;
    buttonGiantTextLineHeight: ThemeKeys;
    buttonRectangleBorderRadius: ThemeKeys;
    buttonSemiRoundBorderRadius: ThemeKeys;
    buttonRoundBorderRadius: ThemeKeys;
    buttonFilledBorderStyle: ThemeKeys;
    buttonFilledBorderWidth: ThemeKeys;
    buttonFilledTextTransform: ThemeKeys;
    buttonFilledTinyPadding: ThemeKeys;
    buttonFilledSmallPadding: ThemeKeys;
    buttonFilledMediumPadding: ThemeKeys;
    buttonFilledLargePadding: ThemeKeys;
    buttonFilledGiantPadding: ThemeKeys;
    buttonFilledBasicBackgroundColor: ThemeKeys;
    buttonFilledBasicBorderColor: ThemeKeys;
    buttonFilledBasicTextColor: ThemeKeys;
    buttonFilledBasicFocusBackgroundColor: ThemeKeys;
    buttonFilledBasicFocusBorderColor: ThemeKeys;
    buttonFilledBasicHoverBackgroundColor: ThemeKeys;
    buttonFilledBasicHoverBorderColor: ThemeKeys;
    buttonFilledBasicActiveBackgroundColor: ThemeKeys;
    buttonFilledBasicActiveBorderColor: ThemeKeys;
    buttonFilledBasicDisabledBackgroundColor: ThemeKeys;
    buttonFilledBasicDisabledBorderColor: ThemeKeys;
    buttonFilledBasicDisabledTextColor: ThemeKeys;
    buttonFilledPrimaryBackgroundColor: ThemeKeys;
    buttonFilledPrimaryBorderColor: ThemeKeys;
    buttonFilledPrimaryTextColor: ThemeKeys;
    buttonFilledPrimaryFocusBackgroundColor: ThemeKeys;
    buttonFilledPrimaryFocusBorderColor: ThemeKeys;
    buttonFilledPrimaryHoverBackgroundColor: ThemeKeys;
    buttonFilledPrimaryHoverBorderColor: ThemeKeys;
    buttonFilledPrimaryActiveBackgroundColor: ThemeKeys;
    buttonFilledPrimaryActiveBorderColor: ThemeKeys;
    buttonFilledPrimaryDisabledBackgroundColor: ThemeKeys;
    buttonFilledPrimaryDisabledBorderColor: ThemeKeys;
    buttonFilledPrimaryDisabledTextColor: ThemeKeys;
    buttonFilledSuccessBackgroundColor: ThemeKeys;
    buttonFilledSuccessBorderColor: ThemeKeys;
    buttonFilledSuccessTextColor: ThemeKeys;
    buttonFilledSuccessFocusBackgroundColor: ThemeKeys;
    buttonFilledSuccessFocusBorderColor: ThemeKeys;
    buttonFilledSuccessHoverBackgroundColor: ThemeKeys;
    buttonFilledSuccessHoverBorderColor: ThemeKeys;
    buttonFilledSuccessActiveBackgroundColor: ThemeKeys;
    buttonFilledSuccessActiveBorderColor: ThemeKeys;
    buttonFilledSuccessDisabledBackgroundColor: ThemeKeys;
    buttonFilledSuccessDisabledBorderColor: ThemeKeys;
    buttonFilledSuccessDisabledTextColor: ThemeKeys;
    buttonFilledInfoBackgroundColor: ThemeKeys;
    buttonFilledInfoBorderColor: ThemeKeys;
    buttonFilledInfoTextColor: ThemeKeys;
    buttonFilledInfoFocusBackgroundColor: ThemeKeys;
    buttonFilledInfoFocusBorderColor: ThemeKeys;
    buttonFilledInfoHoverBackgroundColor: ThemeKeys;
    buttonFilledInfoHoverBorderColor: ThemeKeys;
    buttonFilledInfoActiveBackgroundColor: ThemeKeys;
    buttonFilledInfoActiveBorderColor: ThemeKeys;
    buttonFilledInfoDisabledBackgroundColor: ThemeKeys;
    buttonFilledInfoDisabledBorderColor: ThemeKeys;
    buttonFilledInfoDisabledTextColor: ThemeKeys;
    buttonFilledWarningBackgroundColor: ThemeKeys;
    buttonFilledWarningBorderColor: ThemeKeys;
    buttonFilledWarningTextColor: ThemeKeys;
    buttonFilledWarningFocusBackgroundColor: ThemeKeys;
    buttonFilledWarningFocusBorderColor: ThemeKeys;
    buttonFilledWarningHoverBackgroundColor: ThemeKeys;
    buttonFilledWarningHoverBorderColor: ThemeKeys;
    buttonFilledWarningActiveBackgroundColor: ThemeKeys;
    buttonFilledWarningActiveBorderColor: ThemeKeys;
    buttonFilledWarningDisabledBackgroundColor: ThemeKeys;
    buttonFilledWarningDisabledBorderColor: ThemeKeys;
    buttonFilledWarningDisabledTextColor: ThemeKeys;
    buttonFilledDangerBackgroundColor: ThemeKeys;
    buttonFilledDangerBorderColor: ThemeKeys;
    buttonFilledDangerTextColor: ThemeKeys;
    buttonFilledDangerFocusBackgroundColor: ThemeKeys;
    buttonFilledDangerFocusBorderColor: ThemeKeys;
    buttonFilledDangerHoverBackgroundColor: ThemeKeys;
    buttonFilledDangerHoverBorderColor: ThemeKeys;
    buttonFilledDangerActiveBackgroundColor: ThemeKeys;
    buttonFilledDangerActiveBorderColor: ThemeKeys;
    buttonFilledDangerDisabledBackgroundColor: ThemeKeys;
    buttonFilledDangerDisabledBorderColor: ThemeKeys;
    buttonFilledDangerDisabledTextColor: ThemeKeys;
    buttonFilledControlBackgroundColor: ThemeKeys;
    buttonFilledControlBorderColor: ThemeKeys;
    buttonFilledControlTextColor: ThemeKeys;
    buttonFilledControlFocusBackgroundColor: ThemeKeys;
    buttonFilledControlFocusBorderColor: ThemeKeys;
    buttonFilledControlHoverBackgroundColor: ThemeKeys;
    buttonFilledControlHoverBorderColor: ThemeKeys;
    buttonFilledControlActiveBackgroundColor: ThemeKeys;
    buttonFilledControlActiveBorderColor: ThemeKeys;
    buttonFilledControlDisabledBackgroundColor: ThemeKeys;
    buttonFilledControlDisabledBorderColor: ThemeKeys;
    buttonFilledControlDisabledTextColor: ThemeKeys;
    buttonOutlineBorderStyle: ThemeKeys;
    buttonOutlineBorderWidth: ThemeKeys;
    buttonOutlineTextTransform: ThemeKeys;
    buttonOutlineTinyPadding: ThemeKeys;
    buttonOutlineSmallPadding: ThemeKeys;
    buttonOutlineMediumPadding: ThemeKeys;
    buttonOutlineLargePadding: ThemeKeys;
    buttonOutlineGiantPadding: ThemeKeys;
    buttonOutlineBasicBackgroundColor: ThemeKeys;
    buttonOutlineBasicBorderColor: ThemeKeys;
    buttonOutlineBasicTextColor: ThemeKeys;
    buttonOutlineBasicFocusBackgroundColor: ThemeKeys;
    buttonOutlineBasicFocusBorderColor: ThemeKeys;
    buttonOutlineBasicFocusTextColor: ThemeKeys;
    buttonOutlineBasicHoverBackgroundColor: ThemeKeys;
    buttonOutlineBasicHoverBorderColor: ThemeKeys;
    buttonOutlineBasicHoverTextColor: ThemeKeys;
    buttonOutlineBasicActiveBackgroundColor: ThemeKeys;
    buttonOutlineBasicActiveBorderColor: ThemeKeys;
    buttonOutlineBasicActiveTextColor: ThemeKeys;
    buttonOutlineBasicDisabledBackgroundColor: ThemeKeys;
    buttonOutlineBasicDisabledBorderColor: ThemeKeys;
    buttonOutlineBasicDisabledTextColor: ThemeKeys;
    buttonOutlinePrimaryBackgroundColor: ThemeKeys;
    buttonOutlinePrimaryBorderColor: ThemeKeys;
    buttonOutlinePrimaryTextColor: ThemeKeys;
    buttonOutlinePrimaryFocusBackgroundColor: ThemeKeys;
    buttonOutlinePrimaryFocusBorderColor: ThemeKeys;
    buttonOutlinePrimaryFocusTextColor: ThemeKeys;
    buttonOutlinePrimaryHoverBackgroundColor: ThemeKeys;
    buttonOutlinePrimaryHoverBorderColor: ThemeKeys;
    buttonOutlinePrimaryHoverTextColor: ThemeKeys;
    buttonOutlinePrimaryActiveBackgroundColor: ThemeKeys;
    buttonOutlinePrimaryActiveBorderColor: ThemeKeys;
    buttonOutlinePrimaryActiveTextColor: ThemeKeys;
    buttonOutlinePrimaryDisabledBackgroundColor: ThemeKeys;
    buttonOutlinePrimaryDisabledBorderColor: ThemeKeys;
    buttonOutlinePrimaryDisabledTextColor: ThemeKeys;
    buttonOutlineSuccessBackgroundColor: ThemeKeys;
    buttonOutlineSuccessBorderColor: ThemeKeys;
    buttonOutlineSuccessTextColor: ThemeKeys;
    buttonOutlineSuccessFocusBackgroundColor: ThemeKeys;
    buttonOutlineSuccessFocusBorderColor: ThemeKeys;
    buttonOutlineSuccessFocusTextColor: ThemeKeys;
    buttonOutlineSuccessHoverBackgroundColor: ThemeKeys;
    buttonOutlineSuccessHoverBorderColor: ThemeKeys;
    buttonOutlineSuccessHoverTextColor: ThemeKeys;
    buttonOutlineSuccessActiveBackgroundColor: ThemeKeys;
    buttonOutlineSuccessActiveBorderColor: ThemeKeys;
    buttonOutlineSuccessActiveTextColor: ThemeKeys;
    buttonOutlineSuccessDisabledBackgroundColor: ThemeKeys;
    buttonOutlineSuccessDisabledBorderColor: ThemeKeys;
    buttonOutlineSuccessDisabledTextColor: ThemeKeys;
    buttonOutlineInfoBackgroundColor: ThemeKeys;
    buttonOutlineInfoBorderColor: ThemeKeys;
    buttonOutlineInfoTextColor: ThemeKeys;
    buttonOutlineInfoFocusBackgroundColor: ThemeKeys;
    buttonOutlineInfoFocusBorderColor: ThemeKeys;
    buttonOutlineInfoFocusTextColor: ThemeKeys;
    buttonOutlineInfoHoverBackgroundColor: ThemeKeys;
    buttonOutlineInfoHoverBorderColor: ThemeKeys;
    buttonOutlineInfoHoverTextColor: ThemeKeys;
    buttonOutlineInfoActiveBackgroundColor: ThemeKeys;
    buttonOutlineInfoActiveBorderColor: ThemeKeys;
    buttonOutlineInfoActiveTextColor: ThemeKeys;
    buttonOutlineInfoDisabledBackgroundColor: ThemeKeys;
    buttonOutlineInfoDisabledBorderColor: ThemeKeys;
    buttonOutlineInfoDisabledTextColor: ThemeKeys;
    buttonOutlineWarningBackgroundColor: ThemeKeys;
    buttonOutlineWarningBorderColor: ThemeKeys;
    buttonOutlineWarningTextColor: ThemeKeys;
    buttonOutlineWarningFocusBackgroundColor: ThemeKeys;
    buttonOutlineWarningFocusBorderColor: ThemeKeys;
    buttonOutlineWarningFocusTextColor: ThemeKeys;
    buttonOutlineWarningHoverBackgroundColor: ThemeKeys;
    buttonOutlineWarningHoverBorderColor: ThemeKeys;
    buttonOutlineWarningHoverTextColor: ThemeKeys;
    buttonOutlineWarningActiveBackgroundColor: ThemeKeys;
    buttonOutlineWarningActiveBorderColor: ThemeKeys;
    buttonOutlineWarningActiveTextColor: ThemeKeys;
    buttonOutlineWarningDisabledBackgroundColor: ThemeKeys;
    buttonOutlineWarningDisabledBorderColor: ThemeKeys;
    buttonOutlineWarningDisabledTextColor: ThemeKeys;
    buttonOutlineDangerBackgroundColor: ThemeKeys;
    buttonOutlineDangerBorderColor: ThemeKeys;
    buttonOutlineDangerTextColor: ThemeKeys;
    buttonOutlineDangerFocusBackgroundColor: ThemeKeys;
    buttonOutlineDangerFocusBorderColor: ThemeKeys;
    buttonOutlineDangerFocusTextColor: ThemeKeys;
    buttonOutlineDangerHoverBackgroundColor: ThemeKeys;
    buttonOutlineDangerHoverBorderColor: ThemeKeys;
    buttonOutlineDangerHoverTextColor: ThemeKeys;
    buttonOutlineDangerActiveBackgroundColor: ThemeKeys;
    buttonOutlineDangerActiveBorderColor: ThemeKeys;
    buttonOutlineDangerActiveTextColor: ThemeKeys;
    buttonOutlineDangerDisabledBackgroundColor: ThemeKeys;
    buttonOutlineDangerDisabledBorderColor: ThemeKeys;
    buttonOutlineDangerDisabledTextColor: ThemeKeys;
    buttonOutlineControlBackgroundColor: ThemeKeys;
    buttonOutlineControlBorderColor: ThemeKeys;
    buttonOutlineControlTextColor: ThemeKeys;
    buttonOutlineControlFocusBackgroundColor: ThemeKeys;
    buttonOutlineControlFocusBorderColor: ThemeKeys;
    buttonOutlineControlFocusTextColor: ThemeKeys;
    buttonOutlineControlHoverBackgroundColor: ThemeKeys;
    buttonOutlineControlHoverBorderColor: ThemeKeys;
    buttonOutlineControlHoverTextColor: ThemeKeys;
    buttonOutlineControlActiveBackgroundColor: ThemeKeys;
    buttonOutlineControlActiveBorderColor: ThemeKeys;
    buttonOutlineControlActiveTextColor: ThemeKeys;
    buttonOutlineControlDisabledBackgroundColor: ThemeKeys;
    buttonOutlineControlDisabledBorderColor: ThemeKeys;
    buttonOutlineControlDisabledTextColor: ThemeKeys;
    buttonGhostBackgroundColor: ThemeKeys;
    buttonGhostBorderColor: ThemeKeys;
    buttonGhostBorderStyle: ThemeKeys;
    buttonGhostBorderWidth: ThemeKeys;
    buttonGhostTextTransform: ThemeKeys;
    buttonGhostTinyPadding: ThemeKeys;
    buttonGhostSmallPadding: ThemeKeys;
    buttonGhostMediumPadding: ThemeKeys;
    buttonGhostLargePadding: ThemeKeys;
    buttonGhostGiantPadding: ThemeKeys;
    buttonGhostBasicTextColor: ThemeKeys;
    buttonGhostBasicFocusBackgroundColor: ThemeKeys;
    buttonGhostBasicFocusBorderColor: ThemeKeys;
    buttonGhostBasicFocusTextColor: ThemeKeys;
    buttonGhostBasicHoverBackgroundColor: ThemeKeys;
    buttonGhostBasicHoverBorderColor: ThemeKeys;
    buttonGhostBasicHoverTextColor: ThemeKeys;
    buttonGhostBasicActiveBackgroundColor: ThemeKeys;
    buttonGhostBasicActiveBorderColor: ThemeKeys;
    buttonGhostBasicActiveTextColor: ThemeKeys;
    buttonGhostBasicDisabledBackgroundColor: ThemeKeys;
    buttonGhostBasicDisabledBorderColor: ThemeKeys;
    buttonGhostBasicDisabledTextColor: ThemeKeys;
    buttonGhostPrimaryTextColor: ThemeKeys;
    buttonGhostPrimaryFocusBackgroundColor: ThemeKeys;
    buttonGhostPrimaryFocusBorderColor: ThemeKeys;
    buttonGhostPrimaryFocusTextColor: ThemeKeys;
    buttonGhostPrimaryHoverBackgroundColor: ThemeKeys;
    buttonGhostPrimaryHoverBorderColor: ThemeKeys;
    buttonGhostPrimaryHoverTextColor: ThemeKeys;
    buttonGhostPrimaryActiveBackgroundColor: ThemeKeys;
    buttonGhostPrimaryActiveBorderColor: ThemeKeys;
    buttonGhostPrimaryActiveTextColor: ThemeKeys;
    buttonGhostPrimaryDisabledBackgroundColor: ThemeKeys;
    buttonGhostPrimaryDisabledBorderColor: ThemeKeys;
    buttonGhostPrimaryDisabledTextColor: ThemeKeys;
    buttonGhostSuccessTextColor: ThemeKeys;
    buttonGhostSuccessFocusBackgroundColor: ThemeKeys;
    buttonGhostSuccessFocusBorderColor: ThemeKeys;
    buttonGhostSuccessFocusTextColor: ThemeKeys;
    buttonGhostSuccessHoverBackgroundColor: ThemeKeys;
    buttonGhostSuccessHoverBorderColor: ThemeKeys;
    buttonGhostSuccessHoverTextColor: ThemeKeys;
    buttonGhostSuccessActiveBackgroundColor: ThemeKeys;
    buttonGhostSuccessActiveBorderColor: ThemeKeys;
    buttonGhostSuccessActiveTextColor: ThemeKeys;
    buttonGhostSuccessDisabledBackgroundColor: ThemeKeys;
    buttonGhostSuccessDisabledBorderColor: ThemeKeys;
    buttonGhostSuccessDisabledTextColor: ThemeKeys;
    buttonGhostInfoTextColor: ThemeKeys;
    buttonGhostInfoFocusBackgroundColor: ThemeKeys;
    buttonGhostInfoFocusBorderColor: ThemeKeys;
    buttonGhostInfoFocusTextColor: ThemeKeys;
    buttonGhostInfoHoverBackgroundColor: ThemeKeys;
    buttonGhostInfoHoverBorderColor: ThemeKeys;
    buttonGhostInfoHoverTextColor: ThemeKeys;
    buttonGhostInfoActiveBackgroundColor: ThemeKeys;
    buttonGhostInfoActiveBorderColor: ThemeKeys;
    buttonGhostInfoActiveTextColor: ThemeKeys;
    buttonGhostInfoDisabledBackgroundColor: ThemeKeys;
    buttonGhostInfoDisabledBorderColor: ThemeKeys;
    buttonGhostInfoDisabledTextColor: ThemeKeys;
    buttonGhostWarningTextColor: ThemeKeys;
    buttonGhostWarningFocusBackgroundColor: ThemeKeys;
    buttonGhostWarningFocusBorderColor: ThemeKeys;
    buttonGhostWarningFocusTextColor: ThemeKeys;
    buttonGhostWarningHoverBackgroundColor: ThemeKeys;
    buttonGhostWarningHoverBorderColor: ThemeKeys;
    buttonGhostWarningHoverTextColor: ThemeKeys;
    buttonGhostWarningActiveBackgroundColor: ThemeKeys;
    buttonGhostWarningActiveBorderColor: ThemeKeys;
    buttonGhostWarningActiveTextColor: ThemeKeys;
    buttonGhostWarningDisabledBackgroundColor: ThemeKeys;
    buttonGhostWarningDisabledBorderColor: ThemeKeys;
    buttonGhostWarningDisabledTextColor: ThemeKeys;
    buttonGhostDangerTextColor: ThemeKeys;
    buttonGhostDangerFocusBackgroundColor: ThemeKeys;
    buttonGhostDangerFocusBorderColor: ThemeKeys;
    buttonGhostDangerFocusTextColor: ThemeKeys;
    buttonGhostDangerHoverBackgroundColor: ThemeKeys;
    buttonGhostDangerHoverBorderColor: ThemeKeys;
    buttonGhostDangerHoverTextColor: ThemeKeys;
    buttonGhostDangerActiveBackgroundColor: ThemeKeys;
    buttonGhostDangerActiveBorderColor: ThemeKeys;
    buttonGhostDangerActiveTextColor: ThemeKeys;
    buttonGhostDangerDisabledBackgroundColor: ThemeKeys;
    buttonGhostDangerDisabledBorderColor: ThemeKeys;
    buttonGhostDangerDisabledTextColor: ThemeKeys;
    buttonGhostControlTextColor: ThemeKeys;
    buttonGhostControlFocusBackgroundColor: ThemeKeys;
    buttonGhostControlFocusBorderColor: ThemeKeys;
    buttonGhostControlFocusTextColor: ThemeKeys;
    buttonGhostControlHoverBackgroundColor: ThemeKeys;
    buttonGhostControlHoverBorderColor: ThemeKeys;
    buttonGhostControlHoverTextColor: ThemeKeys;
    buttonGhostControlActiveBackgroundColor: ThemeKeys;
    buttonGhostControlActiveBorderColor: ThemeKeys;
    buttonGhostControlActiveTextColor: ThemeKeys;
    buttonGhostControlDisabledBackgroundColor: ThemeKeys;
    buttonGhostControlDisabledBorderColor: ThemeKeys;
    buttonGhostControlDisabledTextColor: ThemeKeys;
    buttonHeroBorderColor: ThemeKeys;
    buttonHeroBorderStyle: ThemeKeys;
    buttonHeroBorderWidth: ThemeKeys;
    buttonHeroTextTransform: ThemeKeys;
    buttonHeroTinyPadding: ThemeKeys;
    buttonHeroSmallPadding: ThemeKeys;
    buttonHeroMediumPadding: ThemeKeys;
    buttonHeroLargePadding: ThemeKeys;
    buttonHeroGiantPadding: ThemeKeys;
    buttonHeroShadow: ThemeKeys;
    buttonHeroTextShadow: ThemeKeys;
    buttonHeroBevelSize: ThemeKeys;
    buttonHeroGlowSize: ThemeKeys;
    buttonHeroOutlineColor: ThemeKeys;
    buttonHeroOutlineWidth: ThemeKeys;
    buttonHeroBasicTextColor: ThemeKeys;
    buttonHeroBasicBevelColor: ThemeKeys;
    buttonHeroBasicGlowColor: ThemeKeys;
    buttonHeroBasicLeftBackgroundColor: ThemeKeys;
    buttonHeroBasicRightBackgroundColor: ThemeKeys;
    buttonHeroBasicFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroBasicFocusRightBackgroundColor: ThemeKeys;
    buttonHeroBasicHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroBasicHoverRightBackgroundColor: ThemeKeys;
    buttonHeroBasicActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroBasicActiveRightBackgroundColor: ThemeKeys;
    buttonHeroBasicDisabledBackgroundColor: ThemeKeys;
    buttonHeroBasicDisabledTextColor: ThemeKeys;
    buttonHeroPrimaryTextColor: ThemeKeys;
    buttonHeroPrimaryBevelColor: ThemeKeys;
    buttonHeroPrimaryGlowColor: ThemeKeys;
    buttonHeroPrimaryLeftBackgroundColor: ThemeKeys;
    buttonHeroPrimaryRightBackgroundColor: ThemeKeys;
    buttonHeroPrimaryFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroPrimaryFocusRightBackgroundColor: ThemeKeys;
    buttonHeroPrimaryHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroPrimaryHoverRightBackgroundColor: ThemeKeys;
    buttonHeroPrimaryActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroPrimaryActiveRightBackgroundColor: ThemeKeys;
    buttonHeroPrimaryDisabledBackgroundColor: ThemeKeys;
    buttonHeroPrimaryDisabledTextColor: ThemeKeys;
    buttonHeroSuccessTextColor: ThemeKeys;
    buttonHeroSuccessBevelColor: ThemeKeys;
    buttonHeroSuccessGlowColor: ThemeKeys;
    buttonHeroSuccessLeftBackgroundColor: ThemeKeys;
    buttonHeroSuccessRightBackgroundColor: ThemeKeys;
    buttonHeroSuccessFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroSuccessFocusRightBackgroundColor: ThemeKeys;
    buttonHeroSuccessHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroSuccessHoverRightBackgroundColor: ThemeKeys;
    buttonHeroSuccessActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroSuccessActiveRightBackgroundColor: ThemeKeys;
    buttonHeroSuccessDisabledBackgroundColor: ThemeKeys;
    buttonHeroSuccessDisabledTextColor: ThemeKeys;
    buttonHeroInfoTextColor: ThemeKeys;
    buttonHeroInfoBevelColor: ThemeKeys;
    buttonHeroInfoGlowColor: ThemeKeys;
    buttonHeroInfoLeftBackgroundColor: ThemeKeys;
    buttonHeroInfoRightBackgroundColor: ThemeKeys;
    buttonHeroInfoFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroInfoFocusRightBackgroundColor: ThemeKeys;
    buttonHeroInfoHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroInfoHoverRightBackgroundColor: ThemeKeys;
    buttonHeroInfoActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroInfoActiveRightBackgroundColor: ThemeKeys;
    buttonHeroInfoDisabledBackgroundColor: ThemeKeys;
    buttonHeroInfoDisabledTextColor: ThemeKeys;
    buttonHeroWarningTextColor: ThemeKeys;
    buttonHeroWarningBevelColor: ThemeKeys;
    buttonHeroWarningGlowColor: ThemeKeys;
    buttonHeroWarningLeftBackgroundColor: ThemeKeys;
    buttonHeroWarningRightBackgroundColor: ThemeKeys;
    buttonHeroWarningFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroWarningFocusRightBackgroundColor: ThemeKeys;
    buttonHeroWarningHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroWarningHoverRightBackgroundColor: ThemeKeys;
    buttonHeroWarningActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroWarningActiveRightBackgroundColor: ThemeKeys;
    buttonHeroWarningDisabledBackgroundColor: ThemeKeys;
    buttonHeroWarningDisabledTextColor: ThemeKeys;
    buttonHeroDangerTextColor: ThemeKeys;
    buttonHeroDangerBevelColor: ThemeKeys;
    buttonHeroDangerGlowColor: ThemeKeys;
    buttonHeroDangerLeftBackgroundColor: ThemeKeys;
    buttonHeroDangerRightBackgroundColor: ThemeKeys;
    buttonHeroDangerFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroDangerFocusRightBackgroundColor: ThemeKeys;
    buttonHeroDangerHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroDangerHoverRightBackgroundColor: ThemeKeys;
    buttonHeroDangerActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroDangerActiveRightBackgroundColor: ThemeKeys;
    buttonHeroDangerDisabledBackgroundColor: ThemeKeys;
    buttonHeroDangerDisabledTextColor: ThemeKeys;
    buttonHeroControlTextColor: ThemeKeys;
    buttonHeroControlBevelColor: ThemeKeys;
    buttonHeroControlGlowColor: ThemeKeys;
    buttonHeroControlLeftBackgroundColor: ThemeKeys;
    buttonHeroControlRightBackgroundColor: ThemeKeys;
    buttonHeroControlFocusLeftBackgroundColor: ThemeKeys;
    buttonHeroControlFocusRightBackgroundColor: ThemeKeys;
    buttonHeroControlHoverLeftBackgroundColor: ThemeKeys;
    buttonHeroControlHoverRightBackgroundColor: ThemeKeys;
    buttonHeroControlActiveLeftBackgroundColor: ThemeKeys;
    buttonHeroControlActiveRightBackgroundColor: ThemeKeys;
    buttonHeroControlDisabledBackgroundColor: ThemeKeys;
    buttonHeroControlDisabledTextColor: ThemeKeys;
    inputBorderStyle: ThemeKeys;
    inputBorderWidth: ThemeKeys;
    inputOutlineColor: ThemeKeys;
    inputOutlineWidth: ThemeKeys;
    inputPlaceholderTextFontFamily: ThemeKeys;
    inputTextFontFamily: ThemeKeys;
    inputBasicTextColor: ThemeKeys;
    inputBasicPlaceholderTextColor: ThemeKeys;
    inputBasicBackgroundColor: ThemeKeys;
    inputBasicBorderColor: ThemeKeys;
    inputBasicFocusBackgroundColor: ThemeKeys;
    inputBasicFocusBorderColor: ThemeKeys;
    inputBasicHoverBackgroundColor: ThemeKeys;
    inputBasicHoverBorderColor: ThemeKeys;
    inputBasicDisabledBackgroundColor: ThemeKeys;
    inputBasicDisabledBorderColor: ThemeKeys;
    inputBasicDisabledTextColor: ThemeKeys;
    inputBasicDisabledPlaceholderTextColor: ThemeKeys;
    inputPrimaryTextColor: ThemeKeys;
    inputPrimaryPlaceholderTextColor: ThemeKeys;
    inputPrimaryBackgroundColor: ThemeKeys;
    inputPrimaryBorderColor: ThemeKeys;
    inputPrimaryFocusBackgroundColor: ThemeKeys;
    inputPrimaryFocusBorderColor: ThemeKeys;
    inputPrimaryHoverBackgroundColor: ThemeKeys;
    inputPrimaryHoverBorderColor: ThemeKeys;
    inputPrimaryDisabledBackgroundColor: ThemeKeys;
    inputPrimaryDisabledBorderColor: ThemeKeys;
    inputPrimaryDisabledTextColor: ThemeKeys;
    inputPrimaryDisabledPlaceholderTextColor: ThemeKeys;
    inputSuccessTextColor: ThemeKeys;
    inputSuccessPlaceholderTextColor: ThemeKeys;
    inputSuccessBackgroundColor: ThemeKeys;
    inputSuccessBorderColor: ThemeKeys;
    inputSuccessFocusBackgroundColor: ThemeKeys;
    inputSuccessFocusBorderColor: ThemeKeys;
    inputSuccessHoverBackgroundColor: ThemeKeys;
    inputSuccessHoverBorderColor: ThemeKeys;
    inputSuccessDisabledBackgroundColor: ThemeKeys;
    inputSuccessDisabledBorderColor: ThemeKeys;
    inputSuccessDisabledTextColor: ThemeKeys;
    inputSuccessDisabledPlaceholderTextColor: ThemeKeys;
    inputInfoTextColor: ThemeKeys;
    inputInfoPlaceholderTextColor: ThemeKeys;
    inputInfoBackgroundColor: ThemeKeys;
    inputInfoBorderColor: ThemeKeys;
    inputInfoFocusBackgroundColor: ThemeKeys;
    inputInfoFocusBorderColor: ThemeKeys;
    inputInfoHoverBackgroundColor: ThemeKeys;
    inputInfoHoverBorderColor: ThemeKeys;
    inputInfoDisabledBackgroundColor: ThemeKeys;
    inputInfoDisabledBorderColor: ThemeKeys;
    inputInfoDisabledTextColor: ThemeKeys;
    inputInfoDisabledPlaceholderTextColor: ThemeKeys;
    inputWarningTextColor: ThemeKeys;
    inputWarningPlaceholderTextColor: ThemeKeys;
    inputWarningBackgroundColor: ThemeKeys;
    inputWarningBorderColor: ThemeKeys;
    inputWarningFocusBackgroundColor: ThemeKeys;
    inputWarningFocusBorderColor: ThemeKeys;
    inputWarningHoverBackgroundColor: ThemeKeys;
    inputWarningHoverBorderColor: ThemeKeys;
    inputWarningDisabledBackgroundColor: ThemeKeys;
    inputWarningDisabledBorderColor: ThemeKeys;
    inputWarningDisabledTextColor: ThemeKeys;
    inputWarningDisabledPlaceholderTextColor: ThemeKeys;
    inputDangerTextColor: ThemeKeys;
    inputDangerPlaceholderTextColor: ThemeKeys;
    inputDangerBackgroundColor: ThemeKeys;
    inputDangerBorderColor: ThemeKeys;
    inputDangerFocusBackgroundColor: ThemeKeys;
    inputDangerFocusBorderColor: ThemeKeys;
    inputDangerHoverBackgroundColor: ThemeKeys;
    inputDangerHoverBorderColor: ThemeKeys;
    inputDangerDisabledBackgroundColor: ThemeKeys;
    inputDangerDisabledBorderColor: ThemeKeys;
    inputDangerDisabledTextColor: ThemeKeys;
    inputDangerDisabledPlaceholderTextColor: ThemeKeys;
    inputControlTextColor: ThemeKeys;
    inputControlPlaceholderTextColor: ThemeKeys;
    inputControlBackgroundColor: ThemeKeys;
    inputControlBorderColor: ThemeKeys;
    inputControlFocusBackgroundColor: ThemeKeys;
    inputControlFocusBorderColor: ThemeKeys;
    inputControlHoverBackgroundColor: ThemeKeys;
    inputControlHoverBorderColor: ThemeKeys;
    inputControlDisabledBackgroundColor: ThemeKeys;
    inputControlDisabledBorderColor: ThemeKeys;
    inputControlDisabledTextColor: ThemeKeys;
    inputControlDisabledPlaceholderTextColor: ThemeKeys;
    inputRectangleBorderRadius: ThemeKeys;
    inputSemiRoundBorderRadius: ThemeKeys;
    inputRoundBorderRadius: ThemeKeys;
    inputTinyTextFontSize: ThemeKeys;
    inputTinyTextFontWeight: ThemeKeys;
    inputTinyTextLineHeight: ThemeKeys;
    inputTinyPlaceholderTextFontSize: ThemeKeys;
    inputTinyPlaceholderTextFontWeight: ThemeKeys;
    inputTinyPlaceholderTextLineHeight: ThemeKeys;
    inputTinyPadding: ThemeKeys;
    inputTinyMaxWidth: ThemeKeys;
    inputSmallTextFontSize: ThemeKeys;
    inputSmallTextFontWeight: ThemeKeys;
    inputSmallTextLineHeight: ThemeKeys;
    inputSmallPlaceholderTextFontSize: ThemeKeys;
    inputSmallPlaceholderTextFontWeight: ThemeKeys;
    inputSmallPlaceholderTextLineHeight: ThemeKeys;
    inputSmallPadding: ThemeKeys;
    inputSmallMaxWidth: ThemeKeys;
    inputMediumTextFontSize: ThemeKeys;
    inputMediumTextFontWeight: ThemeKeys;
    inputMediumTextLineHeight: ThemeKeys;
    inputMediumPlaceholderTextFontSize: ThemeKeys;
    inputMediumPlaceholderTextFontWeight: ThemeKeys;
    inputMediumPlaceholderTextLineHeight: ThemeKeys;
    inputMediumPadding: ThemeKeys;
    inputMediumMaxWidth: ThemeKeys;
    inputLargeTextFontSize: ThemeKeys;
    inputLargeTextFontWeight: ThemeKeys;
    inputLargeTextLineHeight: ThemeKeys;
    inputLargePlaceholderTextFontSize: ThemeKeys;
    inputLargePlaceholderTextFontWeight: ThemeKeys;
    inputLargePlaceholderTextLineHeight: ThemeKeys;
    inputLargePadding: ThemeKeys;
    inputLargeMaxWidth: ThemeKeys;
    inputGiantTextFontSize: ThemeKeys;
    inputGiantTextFontWeight: ThemeKeys;
    inputGiantTextLineHeight: ThemeKeys;
    inputGiantPlaceholderTextFontSize: ThemeKeys;
    inputGiantPlaceholderTextFontWeight: ThemeKeys;
    inputGiantPlaceholderTextLineHeight: ThemeKeys;
    inputGiantPadding: ThemeKeys;
    inputGiantMaxWidth: ThemeKeys;
    checkboxHeight: ThemeKeys;
    checkboxWidth: ThemeKeys;
    checkboxBorderStyle: ThemeKeys;
    checkboxBorderWidth: ThemeKeys;
    checkboxBorderRadius: ThemeKeys;
    checkboxOutlineWidth: ThemeKeys;
    checkboxOutlineColor: ThemeKeys;
    checkboxTextFontFamily: ThemeKeys;
    checkboxTextFontSize: ThemeKeys;
    checkboxTextFontWeight: ThemeKeys;
    checkboxTextLineHeight: ThemeKeys;
    checkboxTextSpace: ThemeKeys;
    checkboxPadding: ThemeKeys;
    checkboxBasicTextColor: ThemeKeys;
    checkboxBasicBackgroundColor: ThemeKeys;
    checkboxBasicBorderColor: ThemeKeys;
    checkboxBasicCheckedBackgroundColor: ThemeKeys;
    checkboxBasicCheckedBorderColor: ThemeKeys;
    checkboxBasicCheckedCheckmarkColor: ThemeKeys;
    checkboxBasicIndeterminateBackgroundColor: ThemeKeys;
    checkboxBasicIndeterminateBorderColor: ThemeKeys;
    checkboxBasicIndeterminateCheckmarkColor: ThemeKeys;
    checkboxBasicFocusBackgroundColor: ThemeKeys;
    checkboxBasicFocusBorderColor: ThemeKeys;
    checkboxBasicFocusCheckedBackgroundColor: ThemeKeys;
    checkboxBasicFocusCheckedBorderColor: ThemeKeys;
    checkboxBasicHoverBackgroundColor: ThemeKeys;
    checkboxBasicHoverBorderColor: ThemeKeys;
    checkboxBasicHoverCheckedBackgroundColor: ThemeKeys;
    checkboxBasicHoverCheckedBorderColor: ThemeKeys;
    checkboxBasicActiveBackgroundColor: ThemeKeys;
    checkboxBasicActiveBorderColor: ThemeKeys;
    checkboxBasicActiveCheckedBackgroundColor: ThemeKeys;
    checkboxBasicActiveCheckedBorderColor: ThemeKeys;
    checkboxBasicDisabledBackgroundColor: ThemeKeys;
    checkboxBasicDisabledBorderColor: ThemeKeys;
    checkboxBasicDisabledCheckmarkColor: ThemeKeys;
    checkboxBasicDisabledTextColor: ThemeKeys;
    checkboxBasicDisabledCheckedBackgroundColor: ThemeKeys;
    checkboxPrimaryTextColor: ThemeKeys;
    checkboxPrimaryBackgroundColor: ThemeKeys;
    checkboxPrimaryBorderColor: ThemeKeys;
    checkboxPrimaryCheckedBackgroundColor: ThemeKeys;
    checkboxPrimaryCheckedBorderColor: ThemeKeys;
    checkboxPrimaryCheckedCheckmarkColor: ThemeKeys;
    checkboxPrimaryIndeterminateBackgroundColor: ThemeKeys;
    checkboxPrimaryIndeterminateBorderColor: ThemeKeys;
    checkboxPrimaryIndeterminateCheckmarkColor: ThemeKeys;
    checkboxPrimaryFocusBackgroundColor: ThemeKeys;
    checkboxPrimaryFocusBorderColor: ThemeKeys;
    checkboxPrimaryFocusCheckedBackgroundColor: ThemeKeys;
    checkboxPrimaryFocusCheckedBorderColor: ThemeKeys;
    checkboxPrimaryHoverBackgroundColor: ThemeKeys;
    checkboxPrimaryHoverBorderColor: ThemeKeys;
    checkboxPrimaryHoverCheckedBackgroundColor: ThemeKeys;
    checkboxPrimaryHoverCheckedBorderColor: ThemeKeys;
    checkboxPrimaryActiveBackgroundColor: ThemeKeys;
    checkboxPrimaryActiveBorderColor: ThemeKeys;
    checkboxPrimaryActiveCheckedBackgroundColor: ThemeKeys;
    checkboxPrimaryActiveCheckedBorderColor: ThemeKeys;
    checkboxPrimaryDisabledBackgroundColor: ThemeKeys;
    checkboxPrimaryDisabledBorderColor: ThemeKeys;
    checkboxPrimaryDisabledCheckmarkColor: ThemeKeys;
    checkboxPrimaryDisabledTextColor: ThemeKeys;
    checkboxPrimaryDisabledCheckedBackgroundColor: ThemeKeys;
    checkboxSuccessTextColor: ThemeKeys;
    checkboxSuccessBackgroundColor: ThemeKeys;
    checkboxSuccessBorderColor: ThemeKeys;
    checkboxSuccessCheckedBackgroundColor: ThemeKeys;
    checkboxSuccessCheckedBorderColor: ThemeKeys;
    checkboxSuccessCheckedCheckmarkColor: ThemeKeys;
    checkboxSuccessIndeterminateBackgroundColor: ThemeKeys;
    checkboxSuccessIndeterminateBorderColor: ThemeKeys;
    checkboxSuccessIndeterminateCheckmarkColor: ThemeKeys;
    checkboxSuccessFocusBackgroundColor: ThemeKeys;
    checkboxSuccessFocusBorderColor: ThemeKeys;
    checkboxSuccessFocusCheckedBackgroundColor: ThemeKeys;
    checkboxSuccessFocusCheckedBorderColor: ThemeKeys;
    checkboxSuccessHoverBackgroundColor: ThemeKeys;
    checkboxSuccessHoverBorderColor: ThemeKeys;
    checkboxSuccessHoverCheckedBackgroundColor: ThemeKeys;
    checkboxSuccessHoverCheckedBorderColor: ThemeKeys;
    checkboxSuccessActiveBackgroundColor: ThemeKeys;
    checkboxSuccessActiveBorderColor: ThemeKeys;
    checkboxSuccessActiveCheckedBackgroundColor: ThemeKeys;
    checkboxSuccessActiveCheckedBorderColor: ThemeKeys;
    checkboxSuccessDisabledBackgroundColor: ThemeKeys;
    checkboxSuccessDisabledBorderColor: ThemeKeys;
    checkboxSuccessDisabledCheckmarkColor: ThemeKeys;
    checkboxSuccessDisabledTextColor: ThemeKeys;
    checkboxSuccessDisabledCheckedBackgroundColor: ThemeKeys;
    checkboxInfoTextColor: ThemeKeys;
    checkboxInfoBackgroundColor: ThemeKeys;
    checkboxInfoBorderColor: ThemeKeys;
    checkboxInfoCheckedBackgroundColor: ThemeKeys;
    checkboxInfoCheckedBorderColor: ThemeKeys;
    checkboxInfoCheckedCheckmarkColor: ThemeKeys;
    checkboxInfoIndeterminateBackgroundColor: ThemeKeys;
    checkboxInfoIndeterminateBorderColor: ThemeKeys;
    checkboxInfoIndeterminateCheckmarkColor: ThemeKeys;
    checkboxInfoFocusBackgroundColor: ThemeKeys;
    checkboxInfoFocusBorderColor: ThemeKeys;
    checkboxInfoFocusCheckedBackgroundColor: ThemeKeys;
    checkboxInfoFocusCheckedBorderColor: ThemeKeys;
    checkboxInfoHoverBackgroundColor: ThemeKeys;
    checkboxInfoHoverBorderColor: ThemeKeys;
    checkboxInfoHoverCheckedBackgroundColor: ThemeKeys;
    checkboxInfoHoverCheckedBorderColor: ThemeKeys;
    checkboxInfoActiveBackgroundColor: ThemeKeys;
    checkboxInfoActiveBorderColor: ThemeKeys;
    checkboxInfoActiveCheckedBackgroundColor: ThemeKeys;
    checkboxInfoActiveCheckedBorderColor: ThemeKeys;
    checkboxInfoDisabledBackgroundColor: ThemeKeys;
    checkboxInfoDisabledBorderColor: ThemeKeys;
    checkboxInfoDisabledCheckmarkColor: ThemeKeys;
    checkboxInfoDisabledTextColor: ThemeKeys;
    checkboxInfoDisabledCheckedBackgroundColor: ThemeKeys;
    checkboxWarningTextColor: ThemeKeys;
    checkboxWarningBackgroundColor: ThemeKeys;
    checkboxWarningBorderColor: ThemeKeys;
    checkboxWarningCheckedBackgroundColor: ThemeKeys;
    checkboxWarningCheckedBorderColor: ThemeKeys;
    checkboxWarningCheckedCheckmarkColor: ThemeKeys;
    checkboxWarningIndeterminateBackgroundColor: ThemeKeys;
    checkboxWarningIndeterminateBorderColor: ThemeKeys;
    checkboxWarningIndeterminateCheckmarkColor: ThemeKeys;
    checkboxWarningFocusBackgroundColor: ThemeKeys;
    checkboxWarningFocusBorderColor: ThemeKeys;
    checkboxWarningFocusCheckedBackgroundColor: ThemeKeys;
    checkboxWarningFocusCheckedBorderColor: ThemeKeys;
    checkboxWarningHoverBackgroundColor: ThemeKeys;
    checkboxWarningHoverBorderColor: ThemeKeys;
    checkboxWarningHoverCheckedBackgroundColor: ThemeKeys;
    checkboxWarningHoverCheckedBorderColor: ThemeKeys;
    checkboxWarningActiveBackgroundColor: ThemeKeys;
    checkboxWarningActiveBorderColor: ThemeKeys;
    checkboxWarningActiveCheckedBackgroundColor: ThemeKeys;
    checkboxWarningActiveCheckedBorderColor: ThemeKeys;
    checkboxWarningDisabledBackgroundColor: ThemeKeys;
    checkboxWarningDisabledBorderColor: ThemeKeys;
    checkboxWarningDisabledCheckmarkColor: ThemeKeys;
    checkboxWarningDisabledTextColor: ThemeKeys;
    checkboxWarningDisabledCheckedBackgroundColor: ThemeKeys;
    checkboxDangerTextColor: ThemeKeys;
    checkboxDangerBackgroundColor: ThemeKeys;
    checkboxDangerBorderColor: ThemeKeys;
    checkboxDangerCheckedBackgroundColor: ThemeKeys;
    checkboxDangerCheckedBorderColor: ThemeKeys;
    checkboxDangerCheckedCheckmarkColor: ThemeKeys;
    checkboxDangerIndeterminateBackgroundColor: ThemeKeys;
    checkboxDangerIndeterminateBorderColor: ThemeKeys;
    checkboxDangerIndeterminateCheckmarkColor: ThemeKeys;
    checkboxDangerFocusBackgroundColor: ThemeKeys;
    checkboxDangerFocusBorderColor: ThemeKeys;
    checkboxDangerFocusCheckedBackgroundColor: ThemeKeys;
    checkboxDangerFocusCheckedBorderColor: ThemeKeys;
    checkboxDangerHoverBackgroundColor: ThemeKeys;
    checkboxDangerHoverBorderColor: ThemeKeys;
    checkboxDangerHoverCheckedBackgroundColor: ThemeKeys;
    checkboxDangerHoverCheckedBorderColor: ThemeKeys;
    checkboxDangerActiveBackgroundColor: ThemeKeys;
    checkboxDangerActiveBorderColor: ThemeKeys;
    checkboxDangerActiveCheckedBackgroundColor: ThemeKeys;
    checkboxDangerActiveCheckedBorderColor: ThemeKeys;
    checkboxDangerDisabledBackgroundColor: ThemeKeys;
    checkboxDangerDisabledBorderColor: ThemeKeys;
    checkboxDangerDisabledCheckmarkColor: ThemeKeys;
    checkboxDangerDisabledTextColor: ThemeKeys;
    checkboxDangerDisabledCheckedBackgroundColor: ThemeKeys;
    checkboxControlTextColor: ThemeKeys;
    checkboxControlBackgroundColor: ThemeKeys;
    checkboxControlBorderColor: ThemeKeys;
    checkboxControlCheckedBackgroundColor: ThemeKeys;
    checkboxControlCheckedBorderColor: ThemeKeys;
    checkboxControlCheckedCheckmarkColor: ThemeKeys;
    checkboxControlIndeterminateBackgroundColor: ThemeKeys;
    checkboxControlIndeterminateBorderColor: ThemeKeys;
    checkboxControlIndeterminateCheckmarkColor: ThemeKeys;
    checkboxControlFocusBackgroundColor: ThemeKeys;
    checkboxControlFocusBorderColor: ThemeKeys;
    checkboxControlFocusCheckedBackgroundColor: ThemeKeys;
    checkboxControlFocusCheckedBorderColor: ThemeKeys;
    checkboxControlHoverBackgroundColor: ThemeKeys;
    checkboxControlHoverBorderColor: ThemeKeys;
    checkboxControlHoverCheckedBackgroundColor: ThemeKeys;
    checkboxControlHoverCheckedBorderColor: ThemeKeys;
    checkboxControlActiveBackgroundColor: ThemeKeys;
    checkboxControlActiveBorderColor: ThemeKeys;
    checkboxControlActiveCheckedBackgroundColor: ThemeKeys;
    checkboxControlActiveCheckedBorderColor: ThemeKeys;
    checkboxControlDisabledBackgroundColor: ThemeKeys;
    checkboxControlDisabledBorderColor: ThemeKeys;
    checkboxControlDisabledCheckmarkColor: ThemeKeys;
    checkboxControlDisabledTextColor: ThemeKeys;
    checkboxControlDisabledCheckedBackgroundColor: ThemeKeys;
    badgeBorderRadius: ThemeKeys;
    badgeTextFontFamily: ThemeKeys;
    badgeTextFontSize: ThemeKeys;
    badgeTextFontWeight: ThemeKeys;
    badgeTextLineHeight: ThemeKeys;
    badgePadding: ThemeKeys;
    badgeBasicBackgroundColor: ThemeKeys;
    badgeBasicTextColor: ThemeKeys;
    badgePrimaryBackgroundColor: ThemeKeys;
    badgePrimaryTextColor: ThemeKeys;
    badgeSuccessBackgroundColor: ThemeKeys;
    badgeSuccessTextColor: ThemeKeys;
    badgeInfoBackgroundColor: ThemeKeys;
    badgeInfoTextColor: ThemeKeys;
    badgeWarningBackgroundColor: ThemeKeys;
    badgeWarningTextColor: ThemeKeys;
    badgeDangerBackgroundColor: ThemeKeys;
    badgeDangerTextColor: ThemeKeys;
    badgeControlBackgroundColor: ThemeKeys;
    badgeControlTextColor: ThemeKeys;
    progressBarAnimationDuration: ThemeKeys;
    progressBarBorderRadius: ThemeKeys;
    progressBarTextFontFamily: ThemeKeys;
    progressBarTinyHeight: ThemeKeys;
    progressBarTinyTextFontSize: ThemeKeys;
    progressBarTinyTextFontWeight: ThemeKeys;
    progressBarTinyTextLineHeight: ThemeKeys;
    progressBarSmallHeight: ThemeKeys;
    progressBarSmallTextFontSize: ThemeKeys;
    progressBarSmallTextFontWeight: ThemeKeys;
    progressBarSmallTextLineHeight: ThemeKeys;
    progressBarMediumHeight: ThemeKeys;
    progressBarMediumTextFontSize: ThemeKeys;
    progressBarMediumTextFontWeight: ThemeKeys;
    progressBarMediumTextLineHeight: ThemeKeys;
    progressBarLargeHeight: ThemeKeys;
    progressBarLargeTextFontSize: ThemeKeys;
    progressBarLargeTextFontWeight: ThemeKeys;
    progressBarLargeTextLineHeight: ThemeKeys;
    progressBarGiantHeight: ThemeKeys;
    progressBarGiantTextFontSize: ThemeKeys;
    progressBarGiantTextFontWeight: ThemeKeys;
    progressBarGiantTextLineHeight: ThemeKeys;
    progressBarBasicBackgroundColor: ThemeKeys;
    progressBarBasicFilledBackgroundColor: ThemeKeys;
    progressBarBasicTextColor: ThemeKeys;
    progressBarPrimaryBackgroundColor: ThemeKeys;
    progressBarPrimaryFilledBackgroundColor: ThemeKeys;
    progressBarPrimaryTextColor: ThemeKeys;
    progressBarSuccessBackgroundColor: ThemeKeys;
    progressBarSuccessFilledBackgroundColor: ThemeKeys;
    progressBarSuccessTextColor: ThemeKeys;
    progressBarInfoBackgroundColor: ThemeKeys;
    progressBarInfoFilledBackgroundColor: ThemeKeys;
    progressBarInfoTextColor: ThemeKeys;
    progressBarWarningBackgroundColor: ThemeKeys;
    progressBarWarningFilledBackgroundColor: ThemeKeys;
    progressBarWarningTextColor: ThemeKeys;
    progressBarDangerBackgroundColor: ThemeKeys;
    progressBarDangerFilledBackgroundColor: ThemeKeys;
    progressBarDangerTextColor: ThemeKeys;
    progressBarControlBackgroundColor: ThemeKeys;
    progressBarControlFilledBackgroundColor: ThemeKeys;
    progressBarControlTextColor: ThemeKeys;
    alertBorderRadius: ThemeKeys;
    alertBottomMargin: ThemeKeys;
    alertPadding: ThemeKeys;
    alertScrollbarColor: ThemeKeys;
    alertScrollbarBackgroundColor: ThemeKeys;
    alertScrollbarWidth: ThemeKeys;
    alertShadow: ThemeKeys;
    alertTextFontFamily: ThemeKeys;
    alertTextFontSize: ThemeKeys;
    alertTextFontWeight: ThemeKeys;
    alertTextLineHeight: ThemeKeys;
    alertClosableStartPadding: ThemeKeys;
    alertTinyHeight: ThemeKeys;
    alertSmallHeight: ThemeKeys;
    alertMediumHeight: ThemeKeys;
    alertMediumPadding: ThemeKeys;
    alertLargeHeight: ThemeKeys;
    alertGiantHeight: ThemeKeys;
    alertBasicBackgroundColor: ThemeKeys;
    alertBasicTextColor: ThemeKeys;
    alertPrimaryBackgroundColor: ThemeKeys;
    alertPrimaryTextColor: ThemeKeys;
    alertSuccessBackgroundColor: ThemeKeys;
    alertSuccessTextColor: ThemeKeys;
    alertInfoBackgroundColor: ThemeKeys;
    alertInfoTextColor: ThemeKeys;
    alertWarningBackgroundColor: ThemeKeys;
    alertWarningTextColor: ThemeKeys;
    alertDangerBackgroundColor: ThemeKeys;
    alertDangerTextColor: ThemeKeys;
    alertControlBackgroundColor: ThemeKeys;
    alertControlTextColor: ThemeKeys;
    alertAccentBasicColor: ThemeKeys;
    alertAccentPrimaryColor: ThemeKeys;
    alertAccentInfoColor: ThemeKeys;
    alertAccentSuccessColor: ThemeKeys;
    alertAccentWarningColor: ThemeKeys;
    alertAccentDangerColor: ThemeKeys;
    alertAccentControlColor: ThemeKeys;
    alertOutlineWidth: ThemeKeys;
    alertOutlineBasicColor: ThemeKeys;
    alertOutlinePrimaryColor: ThemeKeys;
    alertOutlineInfoColor: ThemeKeys;
    alertOutlineSuccessColor: ThemeKeys;
    alertOutlineWarningColor: ThemeKeys;
    alertOutlineDangerColor: ThemeKeys;
    alertOutlineControlColor: ThemeKeys;
    chatBackgroundColor: ThemeKeys;
    chatBorder: ThemeKeys;
    chatBorderRadius: ThemeKeys;
    chatShadow: ThemeKeys;
    chatPadding: ThemeKeys;
    chatScrollbarColor: ThemeKeys;
    chatScrollbarBackgroundColor: ThemeKeys;
    chatScrollbarWidth: ThemeKeys;
    chatTextColor: ThemeKeys;
    chatTextFontFamily: ThemeKeys;
    chatTextFontSize: ThemeKeys;
    chatTextFontWeight: ThemeKeys;
    chatTextLineHeight: ThemeKeys;
    chatHeaderTextFontFamily: ThemeKeys;
    chatHeaderTextFontSize: ThemeKeys;
    chatHeaderTextFontWeight: ThemeKeys;
    chatHeaderTextLineHeight: ThemeKeys;
    chatTinyHeight: ThemeKeys;
    chatSmallHeight: ThemeKeys;
    chatMediumHeight: ThemeKeys;
    chatLargeHeight: ThemeKeys;
    chatGiantHeight: ThemeKeys;
    chatBasicBackgroundColor: ThemeKeys;
    chatBasicTextColor: ThemeKeys;
    chatPrimaryBackgroundColor: ThemeKeys;
    chatPrimaryTextColor: ThemeKeys;
    chatSuccessBackgroundColor: ThemeKeys;
    chatSuccessTextColor: ThemeKeys;
    chatInfoBackgroundColor: ThemeKeys;
    chatInfoTextColor: ThemeKeys;
    chatWarningBackgroundColor: ThemeKeys;
    chatWarningTextColor: ThemeKeys;
    chatDangerBackgroundColor: ThemeKeys;
    chatDangerTextColor: ThemeKeys;
    chatControlBackgroundColor: ThemeKeys;
    chatControlTextColor: ThemeKeys;
    chatDividerColor: ThemeKeys;
    chatDividerStyle: ThemeKeys;
    chatDividerWidth: ThemeKeys;
    chatMessageBackground: ThemeKeys;
    chatMessageTextColor: ThemeKeys;
    chatMessageReplyBackgroundColor: ThemeKeys;
    chatMessageReplyTextColor: ThemeKeys;
    chatMessageAvatarBackgroundColor: ThemeKeys;
    chatMessageSenderTextColor: ThemeKeys;
    chatMessageQuoteBackgroundColor: ThemeKeys;
    chatMessageQuoteTextColor: ThemeKeys;
    chatMessageFileTextColor: ThemeKeys;
    chatMessageFileBackgroundColor: ThemeKeys;
    spinnerTextColor: ThemeKeys;
    spinnerTextFontFamily: ThemeKeys;
    spinnerTextFontSize: ThemeKeys;
    spinnerTextFontWeight: ThemeKeys;
    spinnerTextLineHeight: ThemeKeys;
    spinnerBasicBackgroundColor: ThemeKeys;
    spinnerBasicCircleFilledColor: ThemeKeys;
    spinnerBasicCircleEmptyColor: ThemeKeys;
    spinnerPrimaryBackgroundColor: ThemeKeys;
    spinnerPrimaryCircleFilledColor: ThemeKeys;
    spinnerPrimaryCircleEmptyColor: ThemeKeys;
    spinnerInfoBackgroundColor: ThemeKeys;
    spinnerInfoCircleFilledColor: ThemeKeys;
    spinnerInfoCircleEmptyColor: ThemeKeys;
    spinnerSuccessBackgroundColor: ThemeKeys;
    spinnerSuccessCircleFilledColor: ThemeKeys;
    spinnerSuccessCircleEmptyColor: ThemeKeys;
    spinnerWarningBackgroundColor: ThemeKeys;
    spinnerWarningCircleFilledColor: ThemeKeys;
    spinnerWarningCircleEmptyColor: ThemeKeys;
    spinnerDangerBackgroundColor: ThemeKeys;
    spinnerDangerCircleFilledColor: ThemeKeys;
    spinnerDangerCircleEmptyColor: ThemeKeys;
    spinnerControlBackgroundColor: ThemeKeys;
    spinnerControlCircleFilledColor: ThemeKeys;
    spinnerControlCircleEmptyColor: ThemeKeys;
    spinnerHeightTiny: ThemeKeys;
    spinnerHeightSmall: ThemeKeys;
    spinnerHeightMedium: ThemeKeys;
    spinnerHeightLarge: ThemeKeys;
    spinnerHeightGiant: ThemeKeys;
    stepperStepTextColor: ThemeKeys;
    stepperStepTextFontFamily: ThemeKeys;
    stepperStepTextFontSize: ThemeKeys;
    stepperStepTextFontWeight: ThemeKeys;
    stepperStepTextLineHeight: ThemeKeys;
    stepperStepActiveTextColor: ThemeKeys;
    stepperStepCompletedTextColor: ThemeKeys;
    stepperStepIndexBorderColor: ThemeKeys;
    stepperStepIndexBorderStyle: ThemeKeys;
    stepperStepIndexBorderWidth: ThemeKeys;
    stepperStepIndexBorderRadius: ThemeKeys;
    stepperStepIndexWidth: ThemeKeys;
    stepperStepIndexActiveBorderColor: ThemeKeys;
    stepperStepIndexCompletedBackgroundColor: ThemeKeys;
    stepperStepIndexCompletedBorderColor: ThemeKeys;
    stepperStepIndexCompletedTextColor: ThemeKeys;
    stepperConnectorBackgroundColor: ThemeKeys;
    stepperConnectorCompletedBackgroundColor: ThemeKeys;
    stepperHorizontalConnectorMargin: ThemeKeys;
    stepperVerticalConnectorMargin: ThemeKeys;
    stepperStepContentPadding: ThemeKeys;
    accordionBorderRadius: ThemeKeys;
    accordionPadding: ThemeKeys;
    accordionShadow: ThemeKeys;
    accordionHeaderTextColor: ThemeKeys;
    accordionHeaderTextFontFamily: ThemeKeys;
    accordionHeaderTextFontSize: ThemeKeys;
    accordionHeaderTextFontWeight: ThemeKeys;
    accordionHeaderTextLineHeight: ThemeKeys;
    accordionHeaderDisabledTextColor: ThemeKeys;
    accordionHeaderBorderColor: ThemeKeys;
    accordionHeaderBorderStyle: ThemeKeys;
    accordionHeaderBorderWidth: ThemeKeys;
    accordionItemBackgroundColor: ThemeKeys;
    accordionItemTextColor: ThemeKeys;
    accordionItemTextFontFamily: ThemeKeys;
    accordionItemTextFontSize: ThemeKeys;
    accordionItemTextFontWeight: ThemeKeys;
    accordionItemTextLineHeight: ThemeKeys;
    listItemDividerColor: ThemeKeys;
    listItemDividerStyle: ThemeKeys;
    listItemDividerWidth: ThemeKeys;
    listItemPadding: ThemeKeys;
    listItemTextColor: ThemeKeys;
    listItemFontFamily: ThemeKeys;
    listItemFontSize: ThemeKeys;
    listItemFontWeight: ThemeKeys;
    listItemLineHeight: ThemeKeys;
    calendarWidth: ThemeKeys;
    calendarBodyHeight: ThemeKeys;
    calendarBorderRadius: ThemeKeys;
    calendarTextColor: ThemeKeys;
    calendarTextFontFamily: ThemeKeys;
    calendarTextFontSize: ThemeKeys;
    calendarTextFontWeight: ThemeKeys;
    calendarTextLineHeight: ThemeKeys;
    calendarHeaderTextColor: ThemeKeys;
    calendarHeaderTextFontFamily: ThemeKeys;
    calendarHeaderTitleTextFontSize: ThemeKeys;
    calendarHeaderTitleTextFontWeight: ThemeKeys;
    calendarHeaderTitleTextLineHeight: ThemeKeys;
    calendarHeaderSubTitleTextFontSize: ThemeKeys;
    calendarHeaderSubTitleTextFontWeight: ThemeKeys;
    calendarHeaderSubTitleTextLineHeight: ThemeKeys;
    calendarNavigationButtonWidth: ThemeKeys;
    calendarCellInactiveTextColor: ThemeKeys;
    calendarCellInRangeBackgroundColor: ThemeKeys;
    calendarCellDisabledBackgroundColor: ThemeKeys;
    calendarCellDisabledTextColor: ThemeKeys;
    calendarCellSelectedBackgroundColor: ThemeKeys;
    calendarCellSelectedTextColor: ThemeKeys;
    calendarCellSelectedTextFontSize: ThemeKeys;
    calendarCellSelectedTextFontWeight: ThemeKeys;
    calendarCellSelectedTextLineHeight: ThemeKeys;
    calendarCellHoverBackgroundColor: ThemeKeys;
    calendarCellHoverTextColor: ThemeKeys;
    calendarCellHoverTextFontSize: ThemeKeys;
    calendarCellHoverTextFontWeight: ThemeKeys;
    calendarCellHoverTextLineHeight: ThemeKeys;
    calendarCellActiveBackgroundColor: ThemeKeys;
    calendarCellActiveTextColor: ThemeKeys;
    calendarCellActiveTextFontSize: ThemeKeys;
    calendarCellActiveTextFontWeight: ThemeKeys;
    calendarCellActiveTextLineHeight: ThemeKeys;
    calendarCellTodayBackgroundColor: ThemeKeys;
    calendarCellTodayTextColor: ThemeKeys;
    calendarCellTodayTextFontSize: ThemeKeys;
    calendarCellTodayTextFontWeight: ThemeKeys;
    calendarCellTodayTextLineHeight: ThemeKeys;
    calendarDayCellWidth: ThemeKeys;
    calendarDayCellHeight: ThemeKeys;
    calendarMonthCellWidth: ThemeKeys;
    calendarMonthCellHeight: ThemeKeys;
    calendarYearCellWidth: ThemeKeys;
    calendarYearCellHeight: ThemeKeys;
    calendarWeekdayBackground: ThemeKeys;
    calendarWeekdayDividerColor: ThemeKeys;
    calendarWeekdayTextColor: ThemeKeys;
    calendarWeekdayTextFontSize: ThemeKeys;
    calendarWeekdayTextFontWeight: ThemeKeys;
    calendarWeekdayTextLineHeight: ThemeKeys;
    calendarWeekdayHolidayTextColor: ThemeKeys;
    calendarWeekdayHeight: ThemeKeys;
    calendarWeekdayWidth: ThemeKeys;
    calendarWeeknumberBackground: ThemeKeys;
    calendarWeeknumberDividerColor: ThemeKeys;
    calendarWeeknumberDividerWidth: ThemeKeys;
    calendarWeeknumberTextColor: ThemeKeys;
    calendarWeeknumberTextFontSize: ThemeKeys;
    calendarWeeknumberTextFontWeight: ThemeKeys;
    calendarWeeknumberTextLineHeight: ThemeKeys;
    calendarWeeknumberHeight: ThemeKeys;
    calendarWeeknumberWidth: ThemeKeys;
    calendarLargeWidth: ThemeKeys;
    calendarLargeBodyHeight: ThemeKeys;
    calendarDayCellLargeWidth: ThemeKeys;
    calendarDayCellLargeHeight: ThemeKeys;
    calendarWeekdayLargeHeight: ThemeKeys;
    calendarWeekdayLargeWidth: ThemeKeys;
    calendarMonthCellLargeWidth: ThemeKeys;
    calendarMonthCellLargeHeight: ThemeKeys;
    calendarYearCellLargeWidth: ThemeKeys;
    calendarYearCellLargeHeight: ThemeKeys;
    overlayBackdropBackgroundColor: ThemeKeys;
    tooltipBackgroundColor: ThemeKeys;
    tooltipBorderColor: ThemeKeys;
    tooltipBorderStyle: ThemeKeys;
    tooltipBorderWidth: ThemeKeys;
    tooltipBorderRadius: ThemeKeys;
    tooltipPadding: ThemeKeys;
    tooltipTextColor: ThemeKeys;
    tooltipTextFontFamily: ThemeKeys;
    tooltipTextFontSize: ThemeKeys;
    tooltipTextFontWeight: ThemeKeys;
    tooltipTextLineHeight: ThemeKeys;
    tooltipIconHeight: ThemeKeys;
    tooltipIconWidth: ThemeKeys;
    tooltipMaxWidth: ThemeKeys;
    tooltipBasicBackgroundColor: ThemeKeys;
    tooltipBasicBorderColor: ThemeKeys;
    tooltipBasicTextColor: ThemeKeys;
    tooltipPrimaryBackgroundColor: ThemeKeys;
    tooltipPrimaryBorderColor: ThemeKeys;
    tooltipPrimaryTextColor: ThemeKeys;
    tooltipInfoBackgroundColor: ThemeKeys;
    tooltipInfoBorderColor: ThemeKeys;
    tooltipInfoTextColor: ThemeKeys;
    tooltipSuccessBackgroundColor: ThemeKeys;
    tooltipSuccessBorderColor: ThemeKeys;
    tooltipSuccessTextColor: ThemeKeys;
    tooltipWarningBackgroundColor: ThemeKeys;
    tooltipWarningBorderColor: ThemeKeys;
    tooltipWarningTextColor: ThemeKeys;
    tooltipDangerBackgroundColor: ThemeKeys;
    tooltipDangerBorderColor: ThemeKeys;
    tooltipDangerTextColor: ThemeKeys;
    tooltipControlBackgroundColor: ThemeKeys;
    tooltipControlBorderColor: ThemeKeys;
    tooltipControlTextColor: ThemeKeys;
    tooltipShadow: ThemeKeys;
    selectCursor: ThemeKeys;
    selectDisabledCursor: ThemeKeys;
    selectMinWidth: ThemeKeys;
    selectOptionsListMaxHeight: ThemeKeys;
    selectOptionsListShadow: ThemeKeys;
    selectOptionsListBorderStyle: ThemeKeys;
    selectOptionsListBorderWidth: ThemeKeys;
    selectGroupOptionTextColor: ThemeKeys;
    selectOutlineWidth: ThemeKeys;
    selectOutlineColor: ThemeKeys;
    selectIconOffset: ThemeKeys;
    selectTextFontFamily: ThemeKeys;
    selectPlaceholderTextFontFamily: ThemeKeys;
    selectOptionBackgroundColor: ThemeKeys;
    selectOptionTextColor: ThemeKeys;
    selectOptionFocusBackgroundColor: ThemeKeys;
    selectOptionFocusTextColor: ThemeKeys;
    selectOptionHoverBackgroundColor: ThemeKeys;
    selectOptionHoverTextColor: ThemeKeys;
    selectOptionSelectedBackgroundColor: ThemeKeys;
    selectOptionSelectedTextColor: ThemeKeys;
    selectOptionSelectedFocusBackgroundColor: ThemeKeys;
    selectOptionSelectedFocusTextColor: ThemeKeys;
    selectOptionSelectedHoverBackgroundColor: ThemeKeys;
    selectOptionSelectedHoverTextColor: ThemeKeys;
    selectOptionDisabledBackgroundColor: ThemeKeys;
    selectOptionDisabledTextColor: ThemeKeys;
    selectTinyTextFontSize: ThemeKeys;
    selectTinyTextFontWeight: ThemeKeys;
    selectTinyTextLineHeight: ThemeKeys;
    selectTinyPlaceholderTextFontSize: ThemeKeys;
    selectTinyPlaceholderTextFontWeight: ThemeKeys;
    selectTinyMaxWidth: ThemeKeys;
    selectSmallTextFontSize: ThemeKeys;
    selectSmallTextFontWeight: ThemeKeys;
    selectSmallTextLineHeight: ThemeKeys;
    selectSmallPlaceholderTextFontSize: ThemeKeys;
    selectSmallPlaceholderTextFontWeight: ThemeKeys;
    selectSmallMaxWidth: ThemeKeys;
    selectMediumTextFontSize: ThemeKeys;
    selectMediumTextFontWeight: ThemeKeys;
    selectMediumTextLineHeight: ThemeKeys;
    selectMediumPlaceholderTextFontSize: ThemeKeys;
    selectMediumPlaceholderTextFontWeight: ThemeKeys;
    selectMediumMaxWidth: ThemeKeys;
    selectLargeTextFontSize: ThemeKeys;
    selectLargeTextFontWeight: ThemeKeys;
    selectLargeTextLineHeight: ThemeKeys;
    selectLargePlaceholderTextFontSize: ThemeKeys;
    selectLargePlaceholderTextFontWeight: ThemeKeys;
    selectLargeMaxWidth: ThemeKeys;
    selectGiantTextFontSize: ThemeKeys;
    selectGiantTextFontWeight: ThemeKeys;
    selectGiantTextLineHeight: ThemeKeys;
    selectGiantPlaceholderTextFontSize: ThemeKeys;
    selectGiantPlaceholderTextFontWeight: ThemeKeys;
    selectGiantMaxWidth: ThemeKeys;
    selectRectangleBorderRadius: ThemeKeys;
    selectSemiRoundBorderRadius: ThemeKeys;
    selectRoundBorderRadius: ThemeKeys;
    selectOutlineBorderStyle: ThemeKeys;
    selectOutlineBorderWidth: ThemeKeys;
    selectOutlineTinyPadding: ThemeKeys;
    selectOutlineSmallPadding: ThemeKeys;
    selectOutlineMediumPadding: ThemeKeys;
    selectOutlineLargePadding: ThemeKeys;
    selectOutlineGiantPadding: ThemeKeys;
    selectOutlineBasicIconColor: ThemeKeys;
    selectOutlineBasicTextColor: ThemeKeys;
    selectOutlineBasicPlaceholderTextColor: ThemeKeys;
    selectOutlineBasicBackgroundColor: ThemeKeys;
    selectOutlineBasicBorderColor: ThemeKeys;
    selectOutlineBasicFocusBackgroundColor: ThemeKeys;
    selectOutlineBasicFocusBorderColor: ThemeKeys;
    selectOutlineBasicHoverBackgroundColor: ThemeKeys;
    selectOutlineBasicHoverBorderColor: ThemeKeys;
    selectOutlineBasicDisabledBackgroundColor: ThemeKeys;
    selectOutlineBasicDisabledBorderColor: ThemeKeys;
    selectOutlineBasicDisabledIconColor: ThemeKeys;
    selectOutlineBasicDisabledTextColor: ThemeKeys;
    selectOutlinePrimaryIconColor: ThemeKeys;
    selectOutlinePrimaryTextColor: ThemeKeys;
    selectOutlinePrimaryPlaceholderTextColor: ThemeKeys;
    selectOutlinePrimaryBackgroundColor: ThemeKeys;
    selectOutlinePrimaryBorderColor: ThemeKeys;
    selectOutlinePrimaryFocusBackgroundColor: ThemeKeys;
    selectOutlinePrimaryFocusBorderColor: ThemeKeys;
    selectOutlinePrimaryHoverBackgroundColor: ThemeKeys;
    selectOutlinePrimaryHoverBorderColor: ThemeKeys;
    selectOutlinePrimaryDisabledBackgroundColor: ThemeKeys;
    selectOutlinePrimaryDisabledBorderColor: ThemeKeys;
    selectOutlinePrimaryDisabledIconColor: ThemeKeys;
    selectOutlinePrimaryDisabledTextColor: ThemeKeys;
    selectOutlineSuccessIconColor: ThemeKeys;
    selectOutlineSuccessTextColor: ThemeKeys;
    selectOutlineSuccessPlaceholderTextColor: ThemeKeys;
    selectOutlineSuccessBackgroundColor: ThemeKeys;
    selectOutlineSuccessBorderColor: ThemeKeys;
    selectOutlineSuccessFocusBackgroundColor: ThemeKeys;
    selectOutlineSuccessFocusBorderColor: ThemeKeys;
    selectOutlineSuccessHoverBackgroundColor: ThemeKeys;
    selectOutlineSuccessHoverBorderColor: ThemeKeys;
    selectOutlineSuccessDisabledBackgroundColor: ThemeKeys;
    selectOutlineSuccessDisabledBorderColor: ThemeKeys;
    selectOutlineSuccessDisabledIconColor: ThemeKeys;
    selectOutlineSuccessDisabledTextColor: ThemeKeys;
    selectOutlineInfoIconColor: ThemeKeys;
    selectOutlineInfoTextColor: ThemeKeys;
    selectOutlineInfoPlaceholderTextColor: ThemeKeys;
    selectOutlineInfoBackgroundColor: ThemeKeys;
    selectOutlineInfoBorderColor: ThemeKeys;
    selectOutlineInfoFocusBackgroundColor: ThemeKeys;
    selectOutlineInfoFocusBorderColor: ThemeKeys;
    selectOutlineInfoHoverBackgroundColor: ThemeKeys;
    selectOutlineInfoHoverBorderColor: ThemeKeys;
    selectOutlineInfoDisabledBackgroundColor: ThemeKeys;
    selectOutlineInfoDisabledBorderColor: ThemeKeys;
    selectOutlineInfoDisabledIconColor: ThemeKeys;
    selectOutlineInfoDisabledTextColor: ThemeKeys;
    selectOutlineWarningIconColor: ThemeKeys;
    selectOutlineWarningTextColor: ThemeKeys;
    selectOutlineWarningPlaceholderTextColor: ThemeKeys;
    selectOutlineWarningBackgroundColor: ThemeKeys;
    selectOutlineWarningBorderColor: ThemeKeys;
    selectOutlineWarningFocusBackgroundColor: ThemeKeys;
    selectOutlineWarningFocusBorderColor: ThemeKeys;
    selectOutlineWarningHoverBackgroundColor: ThemeKeys;
    selectOutlineWarningHoverBorderColor: ThemeKeys;
    selectOutlineWarningDisabledBackgroundColor: ThemeKeys;
    selectOutlineWarningDisabledBorderColor: ThemeKeys;
    selectOutlineWarningDisabledIconColor: ThemeKeys;
    selectOutlineWarningDisabledTextColor: ThemeKeys;
    selectOutlineDangerIconColor: ThemeKeys;
    selectOutlineDangerTextColor: ThemeKeys;
    selectOutlineDangerPlaceholderTextColor: ThemeKeys;
    selectOutlineDangerBackgroundColor: ThemeKeys;
    selectOutlineDangerBorderColor: ThemeKeys;
    selectOutlineDangerFocusBackgroundColor: ThemeKeys;
    selectOutlineDangerFocusBorderColor: ThemeKeys;
    selectOutlineDangerHoverBackgroundColor: ThemeKeys;
    selectOutlineDangerHoverBorderColor: ThemeKeys;
    selectOutlineDangerDisabledBackgroundColor: ThemeKeys;
    selectOutlineDangerDisabledBorderColor: ThemeKeys;
    selectOutlineDangerDisabledIconColor: ThemeKeys;
    selectOutlineDangerDisabledTextColor: ThemeKeys;
    selectOutlineControlIconColor: ThemeKeys;
    selectOutlineControlTextColor: ThemeKeys;
    selectOutlineControlPlaceholderTextColor: ThemeKeys;
    selectOutlineControlBackgroundColor: ThemeKeys;
    selectOutlineControlBorderColor: ThemeKeys;
    selectOutlineControlFocusBackgroundColor: ThemeKeys;
    selectOutlineControlFocusBorderColor: ThemeKeys;
    selectOutlineControlHoverBackgroundColor: ThemeKeys;
    selectOutlineControlHoverBorderColor: ThemeKeys;
    selectOutlineControlDisabledBackgroundColor: ThemeKeys;
    selectOutlineControlDisabledBorderColor: ThemeKeys;
    selectOutlineControlDisabledIconColor: ThemeKeys;
    selectOutlineControlDisabledTextColor: ThemeKeys;
    selectOptionOutlineTinyPadding: ThemeKeys;
    selectOptionOutlineSmallPadding: ThemeKeys;
    selectOptionOutlineMediumPadding: ThemeKeys;
    selectOptionOutlineLargePadding: ThemeKeys;
    selectOptionOutlineGiantPadding: ThemeKeys;
    selectOutlineAdjacentBorderStyle: ThemeKeys;
    selectOutlineAdjacentBorderWidth: ThemeKeys;
    selectOutlineBasicOpenBorderColor: ThemeKeys;
    selectOutlineBasicAdjacentBorderColor: ThemeKeys;
    selectOutlinePrimaryOpenBorderColor: ThemeKeys;
    selectOutlinePrimaryAdjacentBorderColor: ThemeKeys;
    selectOutlineSuccessOpenBorderColor: ThemeKeys;
    selectOutlineSuccessAdjacentBorderColor: ThemeKeys;
    selectOutlineInfoOpenBorderColor: ThemeKeys;
    selectOutlineInfoAdjacentBorderColor: ThemeKeys;
    selectOutlineWarningOpenBorderColor: ThemeKeys;
    selectOutlineWarningAdjacentBorderColor: ThemeKeys;
    selectOutlineDangerOpenBorderColor: ThemeKeys;
    selectOutlineDangerAdjacentBorderColor: ThemeKeys;
    selectOutlineControlOpenBorderColor: ThemeKeys;
    selectOutlineControlAdjacentBorderColor: ThemeKeys;
    selectGroupOptionOutlineTinyStartPadding: ThemeKeys;
    selectGroupOptionOutlineSmallStartPadding: ThemeKeys;
    selectGroupOptionOutlineMediumStartPadding: ThemeKeys;
    selectGroupOptionOutlineLargeStartPadding: ThemeKeys;
    selectGroupOptionOutlineGiantStartPadding: ThemeKeys;
    selectOptionsListOutlineBasicBorderColor: ThemeKeys;
    selectOptionsListOutlinePrimaryBorderColor: ThemeKeys;
    selectOptionsListOutlineSuccessBorderColor: ThemeKeys;
    selectOptionsListOutlineInfoBorderColor: ThemeKeys;
    selectOptionsListOutlineWarningBorderColor: ThemeKeys;
    selectOptionsListOutlineDangerBorderColor: ThemeKeys;
    selectOptionsListOutlineControlBorderColor: ThemeKeys;
    selectFilledBorderStyle: ThemeKeys;
    selectFilledBorderWidth: ThemeKeys;
    selectFilledTinyPadding: ThemeKeys;
    selectFilledSmallPadding: ThemeKeys;
    selectFilledMediumPadding: ThemeKeys;
    selectFilledLargePadding: ThemeKeys;
    selectFilledGiantPadding: ThemeKeys;
    selectFilledBasicBackgroundColor: ThemeKeys;
    selectFilledBasicBorderColor: ThemeKeys;
    selectFilledBasicIconColor: ThemeKeys;
    selectFilledBasicTextColor: ThemeKeys;
    selectFilledBasicPlaceholderTextColor: ThemeKeys;
    selectFilledBasicFocusBackgroundColor: ThemeKeys;
    selectFilledBasicFocusBorderColor: ThemeKeys;
    selectFilledBasicHoverBackgroundColor: ThemeKeys;
    selectFilledBasicHoverBorderColor: ThemeKeys;
    selectFilledBasicDisabledBackgroundColor: ThemeKeys;
    selectFilledBasicDisabledBorderColor: ThemeKeys;
    selectFilledBasicDisabledIconColor: ThemeKeys;
    selectFilledBasicDisabledTextColor: ThemeKeys;
    selectFilledPrimaryBackgroundColor: ThemeKeys;
    selectFilledPrimaryBorderColor: ThemeKeys;
    selectFilledPrimaryIconColor: ThemeKeys;
    selectFilledPrimaryTextColor: ThemeKeys;
    selectFilledPrimaryPlaceholderTextColor: ThemeKeys;
    selectFilledPrimaryFocusBackgroundColor: ThemeKeys;
    selectFilledPrimaryFocusBorderColor: ThemeKeys;
    selectFilledPrimaryHoverBackgroundColor: ThemeKeys;
    selectFilledPrimaryHoverBorderColor: ThemeKeys;
    selectFilledPrimaryDisabledBackgroundColor: ThemeKeys;
    selectFilledPrimaryDisabledBorderColor: ThemeKeys;
    selectFilledPrimaryDisabledIconColor: ThemeKeys;
    selectFilledPrimaryDisabledTextColor: ThemeKeys;
    selectFilledSuccessBackgroundColor: ThemeKeys;
    selectFilledSuccessBorderColor: ThemeKeys;
    selectFilledSuccessIconColor: ThemeKeys;
    selectFilledSuccessTextColor: ThemeKeys;
    selectFilledSuccessPlaceholderTextColor: ThemeKeys;
    selectFilledSuccessFocusBackgroundColor: ThemeKeys;
    selectFilledSuccessFocusBorderColor: ThemeKeys;
    selectFilledSuccessHoverBackgroundColor: ThemeKeys;
    selectFilledSuccessHoverBorderColor: ThemeKeys;
    selectFilledSuccessDisabledBackgroundColor: ThemeKeys;
    selectFilledSuccessDisabledBorderColor: ThemeKeys;
    selectFilledSuccessDisabledIconColor: ThemeKeys;
    selectFilledSuccessDisabledTextColor: ThemeKeys;
    selectFilledInfoBackgroundColor: ThemeKeys;
    selectFilledInfoBorderColor: ThemeKeys;
    selectFilledInfoIconColor: ThemeKeys;
    selectFilledInfoTextColor: ThemeKeys;
    selectFilledInfoPlaceholderTextColor: ThemeKeys;
    selectFilledInfoFocusBackgroundColor: ThemeKeys;
    selectFilledInfoFocusBorderColor: ThemeKeys;
    selectFilledInfoHoverBackgroundColor: ThemeKeys;
    selectFilledInfoHoverBorderColor: ThemeKeys;
    selectFilledInfoDisabledBackgroundColor: ThemeKeys;
    selectFilledInfoDisabledBorderColor: ThemeKeys;
    selectFilledInfoDisabledIconColor: ThemeKeys;
    selectFilledInfoDisabledTextColor: ThemeKeys;
    selectFilledWarningBackgroundColor: ThemeKeys;
    selectFilledWarningBorderColor: ThemeKeys;
    selectFilledWarningIconColor: ThemeKeys;
    selectFilledWarningTextColor: ThemeKeys;
    selectFilledWarningPlaceholderTextColor: ThemeKeys;
    selectFilledWarningFocusBackgroundColor: ThemeKeys;
    selectFilledWarningFocusBorderColor: ThemeKeys;
    selectFilledWarningHoverBackgroundColor: ThemeKeys;
    selectFilledWarningHoverBorderColor: ThemeKeys;
    selectFilledWarningDisabledBackgroundColor: ThemeKeys;
    selectFilledWarningDisabledBorderColor: ThemeKeys;
    selectFilledWarningDisabledIconColor: ThemeKeys;
    selectFilledWarningDisabledTextColor: ThemeKeys;
    selectFilledDangerBackgroundColor: ThemeKeys;
    selectFilledDangerBorderColor: ThemeKeys;
    selectFilledDangerIconColor: ThemeKeys;
    selectFilledDangerTextColor: ThemeKeys;
    selectFilledDangerPlaceholderTextColor: ThemeKeys;
    selectFilledDangerFocusBackgroundColor: ThemeKeys;
    selectFilledDangerFocusBorderColor: ThemeKeys;
    selectFilledDangerHoverBackgroundColor: ThemeKeys;
    selectFilledDangerHoverBorderColor: ThemeKeys;
    selectFilledDangerDisabledBackgroundColor: ThemeKeys;
    selectFilledDangerDisabledBorderColor: ThemeKeys;
    selectFilledDangerDisabledIconColor: ThemeKeys;
    selectFilledDangerDisabledTextColor: ThemeKeys;
    selectFilledControlBackgroundColor: ThemeKeys;
    selectFilledControlBorderColor: ThemeKeys;
    selectFilledControlIconColor: ThemeKeys;
    selectFilledControlTextColor: ThemeKeys;
    selectFilledControlPlaceholderTextColor: ThemeKeys;
    selectFilledControlFocusBackgroundColor: ThemeKeys;
    selectFilledControlFocusBorderColor: ThemeKeys;
    selectFilledControlHoverBackgroundColor: ThemeKeys;
    selectFilledControlHoverBorderColor: ThemeKeys;
    selectFilledControlDisabledBackgroundColor: ThemeKeys;
    selectFilledControlDisabledBorderColor: ThemeKeys;
    selectFilledControlDisabledIconColor: ThemeKeys;
    selectFilledControlDisabledTextColor: ThemeKeys;
    selectOptionFilledTinyPadding: ThemeKeys;
    selectGroupOptionFilledTinyPaddingStart: ThemeKeys;
    selectOptionFilledSmallPadding: ThemeKeys;
    selectGroupOptionFilledSmallPaddingStart: ThemeKeys;
    selectOptionFilledMediumPadding: ThemeKeys;
    selectGroupOptionFilledMediumPaddingStart: ThemeKeys;
    selectOptionFilledLargePadding: ThemeKeys;
    selectGroupOptionFilledLargePaddingStart: ThemeKeys;
    selectOptionFilledGiantPadding: ThemeKeys;
    selectGroupOptionFilledGiantPaddingStart: ThemeKeys;
    selectOptionsListFilledBasicBorderColor: ThemeKeys;
    selectOptionsListFilledPrimaryBorderColor: ThemeKeys;
    selectOptionsListFilledSuccessBorderColor: ThemeKeys;
    selectOptionsListFilledInfoBorderColor: ThemeKeys;
    selectOptionsListFilledWarningBorderColor: ThemeKeys;
    selectOptionsListFilledDangerBorderColor: ThemeKeys;
    selectOptionsListFilledControlBorderColor: ThemeKeys;
    selectHeroTinyPadding: ThemeKeys;
    selectHeroSmallPadding: ThemeKeys;
    selectHeroMediumPadding: ThemeKeys;
    selectHeroLargePadding: ThemeKeys;
    selectHeroGiantPadding: ThemeKeys;
    selectHeroBasicLeftBackgroundColor: ThemeKeys;
    selectHeroBasicRightBackgroundColor: ThemeKeys;
    selectHeroBasicIconColor: ThemeKeys;
    selectHeroBasicTextColor: ThemeKeys;
    selectHeroBasicPlaceholderTextColor: ThemeKeys;
    selectHeroBasicFocusLeftBackgroundColor: ThemeKeys;
    selectHeroBasicFocusRightBackgroundColor: ThemeKeys;
    selectHeroBasicHoverLeftBackgroundColor: ThemeKeys;
    selectHeroBasicHoverRightBackgroundColor: ThemeKeys;
    selectHeroBasicDisabledBackgroundColor: ThemeKeys;
    selectHeroBasicDisabledIconColor: ThemeKeys;
    selectHeroBasicDisabledTextColor: ThemeKeys;
    selectHeroPrimaryLeftBackgroundColor: ThemeKeys;
    selectHeroPrimaryRightBackgroundColor: ThemeKeys;
    selectHeroPrimaryIconColor: ThemeKeys;
    selectHeroPrimaryTextColor: ThemeKeys;
    selectHeroPrimaryPlaceholderTextColor: ThemeKeys;
    selectHeroPrimaryFocusLeftBackgroundColor: ThemeKeys;
    selectHeroPrimaryFocusRightBackgroundColor: ThemeKeys;
    selectHeroPrimaryHoverLeftBackgroundColor: ThemeKeys;
    selectHeroPrimaryHoverRightBackgroundColor: ThemeKeys;
    selectHeroPrimaryDisabledBackgroundColor: ThemeKeys;
    selectHeroPrimaryDisabledIconColor: ThemeKeys;
    selectHeroPrimaryDisabledTextColor: ThemeKeys;
    selectHeroSuccessLeftBackgroundColor: ThemeKeys;
    selectHeroSuccessRightBackgroundColor: ThemeKeys;
    selectHeroSuccessIconColor: ThemeKeys;
    selectHeroSuccessTextColor: ThemeKeys;
    selectHeroSuccessPlaceholderTextColor: ThemeKeys;
    selectHeroSuccessFocusLeftBackgroundColor: ThemeKeys;
    selectHeroSuccessFocusRightBackgroundColor: ThemeKeys;
    selectHeroSuccessHoverLeftBackgroundColor: ThemeKeys;
    selectHeroSuccessHoverRightBackgroundColor: ThemeKeys;
    selectHeroSuccessDisabledBackgroundColor: ThemeKeys;
    selectHeroSuccessDisabledIconColor: ThemeKeys;
    selectHeroSuccessDisabledTextColor: ThemeKeys;
    selectHeroInfoLeftBackgroundColor: ThemeKeys;
    selectHeroInfoRightBackgroundColor: ThemeKeys;
    selectHeroInfoIconColor: ThemeKeys;
    selectHeroInfoTextColor: ThemeKeys;
    selectHeroInfoPlaceholderTextColor: ThemeKeys;
    selectHeroInfoFocusLeftBackgroundColor: ThemeKeys;
    selectHeroInfoFocusRightBackgroundColor: ThemeKeys;
    selectHeroInfoHoverLeftBackgroundColor: ThemeKeys;
    selectHeroInfoHoverRightBackgroundColor: ThemeKeys;
    selectHeroInfoDisabledBackgroundColor: ThemeKeys;
    selectHeroInfoDisabledIconColor: ThemeKeys;
    selectHeroInfoDisabledTextColor: ThemeKeys;
    selectHeroWarningLeftBackgroundColor: ThemeKeys;
    selectHeroWarningRightBackgroundColor: ThemeKeys;
    selectHeroWarningIconColor: ThemeKeys;
    selectHeroWarningTextColor: ThemeKeys;
    selectHeroWarningPlaceholderTextColor: ThemeKeys;
    selectHeroWarningFocusLeftBackgroundColor: ThemeKeys;
    selectHeroWarningFocusRightBackgroundColor: ThemeKeys;
    selectHeroWarningHoverLeftBackgroundColor: ThemeKeys;
    selectHeroWarningHoverRightBackgroundColor: ThemeKeys;
    selectHeroWarningDisabledBackgroundColor: ThemeKeys;
    selectHeroWarningDisabledIconColor: ThemeKeys;
    selectHeroWarningDisabledTextColor: ThemeKeys;
    selectHeroDangerLeftBackgroundColor: ThemeKeys;
    selectHeroDangerRightBackgroundColor: ThemeKeys;
    selectHeroDangerIconColor: ThemeKeys;
    selectHeroDangerTextColor: ThemeKeys;
    selectHeroDangerPlaceholderTextColor: ThemeKeys;
    selectHeroDangerFocusLeftBackgroundColor: ThemeKeys;
    selectHeroDangerFocusRightBackgroundColor: ThemeKeys;
    selectHeroDangerHoverLeftBackgroundColor: ThemeKeys;
    selectHeroDangerHoverRightBackgroundColor: ThemeKeys;
    selectHeroDangerDisabledBackgroundColor: ThemeKeys;
    selectHeroDangerDisabledIconColor: ThemeKeys;
    selectHeroDangerDisabledTextColor: ThemeKeys;
    selectHeroControlLeftBackgroundColor: ThemeKeys;
    selectHeroControlRightBackgroundColor: ThemeKeys;
    selectHeroControlIconColor: ThemeKeys;
    selectHeroControlTextColor: ThemeKeys;
    selectHeroControlPlaceholderTextColor: ThemeKeys;
    selectHeroControlFocusLeftBackgroundColor: ThemeKeys;
    selectHeroControlFocusRightBackgroundColor: ThemeKeys;
    selectHeroControlHoverLeftBackgroundColor: ThemeKeys;
    selectHeroControlHoverRightBackgroundColor: ThemeKeys;
    selectHeroControlDisabledBackgroundColor: ThemeKeys;
    selectHeroControlDisabledIconColor: ThemeKeys;
    selectHeroControlDisabledTextColor: ThemeKeys;
    selectOptionHeroTinyPadding: ThemeKeys;
    selectGroupOptionHeroTinyPaddingStart: ThemeKeys;
    selectOptionHeroSmallPadding: ThemeKeys;
    selectGroupOptionHeroSmallPaddingStart: ThemeKeys;
    selectOptionHeroMediumPadding: ThemeKeys;
    selectGroupOptionHeroMediumPaddingStart: ThemeKeys;
    selectOptionHeroLargePadding: ThemeKeys;
    selectGroupOptionHeroLargePaddingStart: ThemeKeys;
    selectOptionHeroGiantPadding: ThemeKeys;
    selectGroupOptionHeroGiantPaddingStart: ThemeKeys;
    selectOptionsListHeroBasicBorderColor: ThemeKeys;
    selectOptionsListHeroPrimaryBorderColor: ThemeKeys;
    selectOptionsListHeroSuccessBorderColor: ThemeKeys;
    selectOptionsListHeroInfoBorderColor: ThemeKeys;
    selectOptionsListHeroWarningBorderColor: ThemeKeys;
    selectOptionsListHeroDangerBorderColor: ThemeKeys;
    selectOptionsListHeroControlBorderColor: ThemeKeys;
    datepickerTextColor: ThemeKeys;
    datepickerBackgroundColor: ThemeKeys;
    datepickerBorderColor: ThemeKeys;
    datepickerBorderStyle: ThemeKeys;
    datepickerBorderWidth: ThemeKeys;
    datepickerBorderRadius: ThemeKeys;
    datepickerShadow: ThemeKeys;
    datepickerArrowSize: ThemeKeys;
    radioWidth: ThemeKeys;
    radioHeight: ThemeKeys;
    radioBorderStyle: ThemeKeys;
    radioBorderWidth: ThemeKeys;
    radioTextFontFamily: ThemeKeys;
    radioTextFontSize: ThemeKeys;
    radioTextFontWeight: ThemeKeys;
    radioTextLineHeight: ThemeKeys;
    radioOutlineColor: ThemeKeys;
    radioOutlineWidth: ThemeKeys;
    radioBasicTextColor: ThemeKeys;
    radioBasicBorderColor: ThemeKeys;
    radioBasicBackgroundColor: ThemeKeys;
    radioBasicCheckedBackgroundColor: ThemeKeys;
    radioBasicCheckedBorderColor: ThemeKeys;
    radioBasicInnerCircleColor: ThemeKeys;
    radioBasicFocusBorderColor: ThemeKeys;
    radioBasicFocusInnerCircleColor: ThemeKeys;
    radioBasicHoverBackgroundColor: ThemeKeys;
    radioBasicHoverBorderColor: ThemeKeys;
    radioBasicHoverInnerCircleColor: ThemeKeys;
    radioBasicHoverCheckedBackgroundColor: ThemeKeys;
    radioBasicActiveBorderColor: ThemeKeys;
    radioBasicActiveInnerCircleColor: ThemeKeys;
    radioBasicDisabledBackgroundColor: ThemeKeys;
    radioBasicDisabledBorderColor: ThemeKeys;
    radioBasicDisabledTextColor: ThemeKeys;
    radioBasicDisabledCheckedBackgroundColor: ThemeKeys;
    radioBasicDisabledCheckedBorderColor: ThemeKeys;
    radioBasicDisabledCheckedInnerCircleColor: ThemeKeys;
    radioPrimaryTextColor: ThemeKeys;
    radioPrimaryBorderColor: ThemeKeys;
    radioPrimaryBackgroundColor: ThemeKeys;
    radioPrimaryCheckedBackgroundColor: ThemeKeys;
    radioPrimaryCheckedBorderColor: ThemeKeys;
    radioPrimaryInnerCircleColor: ThemeKeys;
    radioPrimaryFocusBorderColor: ThemeKeys;
    radioPrimaryFocusInnerCircleColor: ThemeKeys;
    radioPrimaryHoverBackgroundColor: ThemeKeys;
    radioPrimaryHoverBorderColor: ThemeKeys;
    radioPrimaryHoverInnerCircleColor: ThemeKeys;
    radioPrimaryHoverCheckedBackgroundColor: ThemeKeys;
    radioPrimaryActiveBorderColor: ThemeKeys;
    radioPrimaryActiveInnerCircleColor: ThemeKeys;
    radioPrimaryDisabledBackgroundColor: ThemeKeys;
    radioPrimaryDisabledBorderColor: ThemeKeys;
    radioPrimaryDisabledTextColor: ThemeKeys;
    radioPrimaryDisabledCheckedBackgroundColor: ThemeKeys;
    radioPrimaryDisabledCheckedBorderColor: ThemeKeys;
    radioPrimaryDisabledCheckedInnerCircleColor: ThemeKeys;
    radioSuccessTextColor: ThemeKeys;
    radioSuccessBorderColor: ThemeKeys;
    radioSuccessBackgroundColor: ThemeKeys;
    radioSuccessCheckedBackgroundColor: ThemeKeys;
    radioSuccessCheckedBorderColor: ThemeKeys;
    radioSuccessInnerCircleColor: ThemeKeys;
    radioSuccessFocusBorderColor: ThemeKeys;
    radioSuccessFocusInnerCircleColor: ThemeKeys;
    radioSuccessHoverBackgroundColor: ThemeKeys;
    radioSuccessHoverBorderColor: ThemeKeys;
    radioSuccessHoverInnerCircleColor: ThemeKeys;
    radioSuccessHoverCheckedBackgroundColor: ThemeKeys;
    radioSuccessActiveBorderColor: ThemeKeys;
    radioSuccessActiveInnerCircleColor: ThemeKeys;
    radioSuccessDisabledBackgroundColor: ThemeKeys;
    radioSuccessDisabledBorderColor: ThemeKeys;
    radioSuccessDisabledTextColor: ThemeKeys;
    radioSuccessDisabledCheckedBackgroundColor: ThemeKeys;
    radioSuccessDisabledCheckedBorderColor: ThemeKeys;
    radioSuccessDisabledCheckedInnerCircleColor: ThemeKeys;
    radioInfoTextColor: ThemeKeys;
    radioInfoBorderColor: ThemeKeys;
    radioInfoBackgroundColor: ThemeKeys;
    radioInfoCheckedBackgroundColor: ThemeKeys;
    radioInfoCheckedBorderColor: ThemeKeys;
    radioInfoInnerCircleColor: ThemeKeys;
    radioInfoFocusBorderColor: ThemeKeys;
    radioInfoFocusInnerCircleColor: ThemeKeys;
    radioInfoHoverBackgroundColor: ThemeKeys;
    radioInfoHoverBorderColor: ThemeKeys;
    radioInfoHoverInnerCircleColor: ThemeKeys;
    radioInfoHoverCheckedBackgroundColor: ThemeKeys;
    radioInfoActiveBorderColor: ThemeKeys;
    radioInfoActiveInnerCircleColor: ThemeKeys;
    radioInfoDisabledBackgroundColor: ThemeKeys;
    radioInfoDisabledBorderColor: ThemeKeys;
    radioInfoDisabledTextColor: ThemeKeys;
    radioInfoDisabledCheckedBackgroundColor: ThemeKeys;
    radioInfoDisabledCheckedBorderColor: ThemeKeys;
    radioInfoDisabledCheckedInnerCircleColor: ThemeKeys;
    radioWarningTextColor: ThemeKeys;
    radioWarningBorderColor: ThemeKeys;
    radioWarningBackgroundColor: ThemeKeys;
    radioWarningCheckedBackgroundColor: ThemeKeys;
    radioWarningCheckedBorderColor: ThemeKeys;
    radioWarningInnerCircleColor: ThemeKeys;
    radioWarningFocusBorderColor: ThemeKeys;
    radioWarningFocusInnerCircleColor: ThemeKeys;
    radioWarningHoverBackgroundColor: ThemeKeys;
    radioWarningHoverBorderColor: ThemeKeys;
    radioWarningHoverInnerCircleColor: ThemeKeys;
    radioWarningHoverCheckedBackgroundColor: ThemeKeys;
    radioWarningActiveBorderColor: ThemeKeys;
    radioWarningActiveInnerCircleColor: ThemeKeys;
    radioWarningDisabledBackgroundColor: ThemeKeys;
    radioWarningDisabledBorderColor: ThemeKeys;
    radioWarningDisabledTextColor: ThemeKeys;
    radioWarningDisabledCheckedBackgroundColor: ThemeKeys;
    radioWarningDisabledCheckedBorderColor: ThemeKeys;
    radioWarningDisabledCheckedInnerCircleColor: ThemeKeys;
    radioDangerTextColor: ThemeKeys;
    radioDangerBorderColor: ThemeKeys;
    radioDangerBackgroundColor: ThemeKeys;
    radioDangerCheckedBackgroundColor: ThemeKeys;
    radioDangerCheckedBorderColor: ThemeKeys;
    radioDangerInnerCircleColor: ThemeKeys;
    radioDangerFocusBorderColor: ThemeKeys;
    radioDangerFocusInnerCircleColor: ThemeKeys;
    radioDangerHoverBackgroundColor: ThemeKeys;
    radioDangerHoverBorderColor: ThemeKeys;
    radioDangerHoverInnerCircleColor: ThemeKeys;
    radioDangerHoverCheckedBackgroundColor: ThemeKeys;
    radioDangerActiveBorderColor: ThemeKeys;
    radioDangerActiveInnerCircleColor: ThemeKeys;
    radioDangerDisabledBackgroundColor: ThemeKeys;
    radioDangerDisabledBorderColor: ThemeKeys;
    radioDangerDisabledTextColor: ThemeKeys;
    radioDangerDisabledCheckedBackgroundColor: ThemeKeys;
    radioDangerDisabledCheckedBorderColor: ThemeKeys;
    radioDangerDisabledCheckedInnerCircleColor: ThemeKeys;
    radioControlTextColor: ThemeKeys;
    radioControlBackgroundColor: ThemeKeys;
    radioControlBorderColor: ThemeKeys;
    radioControlCheckedBackgroundColor: ThemeKeys;
    radioControlCheckedBorderColor: ThemeKeys;
    radioControlInnerCircleColor: ThemeKeys;
    radioControlFocusBorderColor: ThemeKeys;
    radioControlFocusInnerCircleColor: ThemeKeys;
    radioControlHoverBackgroundColor: ThemeKeys;
    radioControlHoverBorderColor: ThemeKeys;
    radioControlHoverInnerCircleColor: ThemeKeys;
    radioControlHoverCheckedBackgroundColor: ThemeKeys;
    radioControlActiveBorderColor: ThemeKeys;
    radioControlActiveInnerCircleColor: ThemeKeys;
    radioControlDisabledBackgroundColor: ThemeKeys;
    radioControlDisabledBorderColor: ThemeKeys;
    radioControlDisabledTextColor: ThemeKeys;
    radioControlDisabledCheckedBackgroundColor: ThemeKeys;
    radioControlDisabledCheckedBorderColor: ThemeKeys;
    radioControlDisabledCheckedInnerCircleColor: ThemeKeys;
    treeGridCellBorderWidth: ThemeKeys;
    treeGridCellBorderStyle: ThemeKeys;
    treeGridCellBorderColor: ThemeKeys;
    treeGridRowMinHeight: ThemeKeys;
    treeGridCellPadding: ThemeKeys;
    treeGridHeaderBackgroundColor: ThemeKeys;
    treeGridHeaderTextColor: ThemeKeys;
    treeGridHeaderTextFontFamily: ThemeKeys;
    treeGridHeaderTextFontSize: ThemeKeys;
    treeGridHeaderTextFontWeight: ThemeKeys;
    treeGridHeaderTextLineHeight: ThemeKeys;
    treeGridFooterBackgroundColor: ThemeKeys;
    treeGridFooterTextColor: ThemeKeys;
    treeGridFooterTextFontFamily: ThemeKeys;
    treeGridFooterTextFontSize: ThemeKeys;
    treeGridFooterTextFontWeight: ThemeKeys;
    treeGridFooterTextLineHeight: ThemeKeys;
    treeGridRowBackgroundColor: ThemeKeys;
    treeGridRowEvenBackgroundColor: ThemeKeys;
    treeGridRowHoverBackgroundColor: ThemeKeys;
    treeGridRowTextColor: ThemeKeys;
    treeGridRowTextFontFamily: ThemeKeys;
    treeGridRowTextFontSize: ThemeKeys;
    treeGridRowTextFontWeight: ThemeKeys;
    treeGridRowTextLineHeight: ThemeKeys;
    treeGridSortHeaderButtonBackgroundColor: ThemeKeys;
    treeGridSortHeaderButtonBorder: ThemeKeys;
    treeGridSortHeaderButtonPadding: ThemeKeys;
    iconFontSize: ThemeKeys;
    iconLineHeight: ThemeKeys;
    iconWidth: ThemeKeys;
    iconHeight: ThemeKeys;
    iconSvgVerticalAlign: ThemeKeys;
    iconBasicColor: ThemeKeys;
    iconPrimaryColor: ThemeKeys;
    iconInfoColor: ThemeKeys;
    iconSuccessColor: ThemeKeys;
    iconWarningColor: ThemeKeys;
    iconDangerColor: ThemeKeys;
    iconControlColor: ThemeKeys;
    toggleHeight: ThemeKeys;
    toggleWidth: ThemeKeys;
    toggleBorderWidth: ThemeKeys;
    toggleBorderRadius: ThemeKeys;
    toggleOutlineWidth: ThemeKeys;
    toggleOutlineColor: ThemeKeys;
    toggleSwitcherSize: ThemeKeys;
    toggleTextFontFamily: ThemeKeys;
    toggleTextFontSize: ThemeKeys;
    toggleTextFontWeight: ThemeKeys;
    toggleTextLineHeight: ThemeKeys;
    toggleCursor: ThemeKeys;
    toggleDisabledCursor: ThemeKeys;
    toggleBasicTextColor: ThemeKeys;
    toggleBasicBackgroundColor: ThemeKeys;
    toggleBasicBorderColor: ThemeKeys;
    toggleBasicCheckedBackgroundColor: ThemeKeys;
    toggleBasicCheckedBorderColor: ThemeKeys;
    toggleBasicCheckedSwitcherBackgroundColor: ThemeKeys;
    toggleBasicCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleBasicFocusBackgroundColor: ThemeKeys;
    toggleBasicFocusBorderColor: ThemeKeys;
    toggleBasicFocusCheckedBackgroundColor: ThemeKeys;
    toggleBasicFocusCheckedBorderColor: ThemeKeys;
    toggleBasicHoverBackgroundColor: ThemeKeys;
    toggleBasicHoverBorderColor: ThemeKeys;
    toggleBasicHoverCheckedBackgroundColor: ThemeKeys;
    toggleBasicHoverCheckedBorderColor: ThemeKeys;
    toggleBasicActiveBackgroundColor: ThemeKeys;
    toggleBasicActiveBorderColor: ThemeKeys;
    toggleBasicActiveCheckedBackgroundColor: ThemeKeys;
    toggleBasicActiveCheckedBorderColor: ThemeKeys;
    toggleBasicDisabledBackgroundColor: ThemeKeys;
    toggleBasicDisabledBorderColor: ThemeKeys;
    toggleBasicDisabledSwitcherBackgroundColor: ThemeKeys;
    toggleBasicDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleBasicDisabledTextColor: ThemeKeys;
    togglePrimaryTextColor: ThemeKeys;
    togglePrimaryBackgroundColor: ThemeKeys;
    togglePrimaryBorderColor: ThemeKeys;
    togglePrimaryCheckedBackgroundColor: ThemeKeys;
    togglePrimaryCheckedBorderColor: ThemeKeys;
    togglePrimaryCheckedSwitcherBackgroundColor: ThemeKeys;
    togglePrimaryCheckedSwitcherCheckmarkColor: ThemeKeys;
    togglePrimaryFocusBackgroundColor: ThemeKeys;
    togglePrimaryFocusBorderColor: ThemeKeys;
    togglePrimaryFocusCheckedBackgroundColor: ThemeKeys;
    togglePrimaryFocusCheckedBorderColor: ThemeKeys;
    togglePrimaryHoverBackgroundColor: ThemeKeys;
    togglePrimaryHoverBorderColor: ThemeKeys;
    togglePrimaryHoverCheckedBackgroundColor: ThemeKeys;
    togglePrimaryHoverCheckedBorderColor: ThemeKeys;
    togglePrimaryActiveBackgroundColor: ThemeKeys;
    togglePrimaryActiveBorderColor: ThemeKeys;
    togglePrimaryActiveCheckedBackgroundColor: ThemeKeys;
    togglePrimaryActiveCheckedBorderColor: ThemeKeys;
    togglePrimaryDisabledBackgroundColor: ThemeKeys;
    togglePrimaryDisabledBorderColor: ThemeKeys;
    togglePrimaryDisabledSwitcherBackgroundColor: ThemeKeys;
    togglePrimaryDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    togglePrimaryDisabledTextColor: ThemeKeys;
    toggleSuccessTextColor: ThemeKeys;
    toggleSuccessBackgroundColor: ThemeKeys;
    toggleSuccessBorderColor: ThemeKeys;
    toggleSuccessCheckedBackgroundColor: ThemeKeys;
    toggleSuccessCheckedBorderColor: ThemeKeys;
    toggleSuccessCheckedSwitcherBackgroundColor: ThemeKeys;
    toggleSuccessCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleSuccessFocusBackgroundColor: ThemeKeys;
    toggleSuccessFocusBorderColor: ThemeKeys;
    toggleSuccessFocusCheckedBackgroundColor: ThemeKeys;
    toggleSuccessFocusCheckedBorderColor: ThemeKeys;
    toggleSuccessHoverBackgroundColor: ThemeKeys;
    toggleSuccessHoverBorderColor: ThemeKeys;
    toggleSuccessHoverCheckedBackgroundColor: ThemeKeys;
    toggleSuccessHoverCheckedBorderColor: ThemeKeys;
    toggleSuccessActiveBackgroundColor: ThemeKeys;
    toggleSuccessActiveBorderColor: ThemeKeys;
    toggleSuccessActiveCheckedBackgroundColor: ThemeKeys;
    toggleSuccessActiveCheckedBorderColor: ThemeKeys;
    toggleSuccessDisabledBackgroundColor: ThemeKeys;
    toggleSuccessDisabledBorderColor: ThemeKeys;
    toggleSuccessDisabledSwitcherBackgroundColor: ThemeKeys;
    toggleSuccessDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleSuccessDisabledTextColor: ThemeKeys;
    toggleInfoTextColor: ThemeKeys;
    toggleInfoBackgroundColor: ThemeKeys;
    toggleInfoBorderColor: ThemeKeys;
    toggleInfoCheckedBackgroundColor: ThemeKeys;
    toggleInfoCheckedBorderColor: ThemeKeys;
    toggleInfoCheckedSwitcherBackgroundColor: ThemeKeys;
    toggleInfoCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleInfoFocusBackgroundColor: ThemeKeys;
    toggleInfoFocusBorderColor: ThemeKeys;
    toggleInfoFocusCheckedBackgroundColor: ThemeKeys;
    toggleInfoFocusCheckedBorderColor: ThemeKeys;
    toggleInfoHoverBackgroundColor: ThemeKeys;
    toggleInfoHoverBorderColor: ThemeKeys;
    toggleInfoHoverCheckedBackgroundColor: ThemeKeys;
    toggleInfoHoverCheckedBorderColor: ThemeKeys;
    toggleInfoActiveBackgroundColor: ThemeKeys;
    toggleInfoActiveBorderColor: ThemeKeys;
    toggleInfoActiveCheckedBackgroundColor: ThemeKeys;
    toggleInfoActiveCheckedBorderColor: ThemeKeys;
    toggleInfoDisabledBackgroundColor: ThemeKeys;
    toggleInfoDisabledBorderColor: ThemeKeys;
    toggleInfoDisabledSwitcherBackgroundColor: ThemeKeys;
    toggleInfoDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleInfoDisabledTextColor: ThemeKeys;
    toggleWarningTextColor: ThemeKeys;
    toggleWarningBackgroundColor: ThemeKeys;
    toggleWarningBorderColor: ThemeKeys;
    toggleWarningCheckedBackgroundColor: ThemeKeys;
    toggleWarningCheckedBorderColor: ThemeKeys;
    toggleWarningCheckedSwitcherBackgroundColor: ThemeKeys;
    toggleWarningCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleWarningFocusBackgroundColor: ThemeKeys;
    toggleWarningFocusBorderColor: ThemeKeys;
    toggleWarningFocusCheckedBackgroundColor: ThemeKeys;
    toggleWarningFocusCheckedBorderColor: ThemeKeys;
    toggleWarningHoverBackgroundColor: ThemeKeys;
    toggleWarningHoverBorderColor: ThemeKeys;
    toggleWarningHoverCheckedBackgroundColor: ThemeKeys;
    toggleWarningHoverCheckedBorderColor: ThemeKeys;
    toggleWarningActiveBackgroundColor: ThemeKeys;
    toggleWarningActiveBorderColor: ThemeKeys;
    toggleWarningActiveCheckedBackgroundColor: ThemeKeys;
    toggleWarningActiveCheckedBorderColor: ThemeKeys;
    toggleWarningDisabledBackgroundColor: ThemeKeys;
    toggleWarningDisabledBorderColor: ThemeKeys;
    toggleWarningDisabledSwitcherBackgroundColor: ThemeKeys;
    toggleWarningDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleWarningDisabledTextColor: ThemeKeys;
    toggleDangerTextColor: ThemeKeys;
    toggleDangerBackgroundColor: ThemeKeys;
    toggleDangerBorderColor: ThemeKeys;
    toggleDangerCheckedBackgroundColor: ThemeKeys;
    toggleDangerCheckedBorderColor: ThemeKeys;
    toggleDangerCheckedSwitcherBackgroundColor: ThemeKeys;
    toggleDangerCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleDangerFocusBackgroundColor: ThemeKeys;
    toggleDangerFocusBorderColor: ThemeKeys;
    toggleDangerFocusCheckedBackgroundColor: ThemeKeys;
    toggleDangerFocusCheckedBorderColor: ThemeKeys;
    toggleDangerHoverBackgroundColor: ThemeKeys;
    toggleDangerHoverBorderColor: ThemeKeys;
    toggleDangerHoverCheckedBackgroundColor: ThemeKeys;
    toggleDangerHoverCheckedBorderColor: ThemeKeys;
    toggleDangerActiveBackgroundColor: ThemeKeys;
    toggleDangerActiveBorderColor: ThemeKeys;
    toggleDangerActiveCheckedBackgroundColor: ThemeKeys;
    toggleDangerActiveCheckedBorderColor: ThemeKeys;
    toggleDangerDisabledBackgroundColor: ThemeKeys;
    toggleDangerDisabledBorderColor: ThemeKeys;
    toggleDangerDisabledSwitcherBackgroundColor: ThemeKeys;
    toggleDangerDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleDangerDisabledTextColor: ThemeKeys;
    toggleControlTextColor: ThemeKeys;
    toggleControlBackgroundColor: ThemeKeys;
    toggleControlBorderColor: ThemeKeys;
    toggleControlCheckedBackgroundColor: ThemeKeys;
    toggleControlCheckedBorderColor: ThemeKeys;
    toggleControlCheckedSwitcherBackgroundColor: ThemeKeys;
    toggleControlCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleControlFocusBackgroundColor: ThemeKeys;
    toggleControlFocusBorderColor: ThemeKeys;
    toggleControlFocusCheckedBackgroundColor: ThemeKeys;
    toggleControlFocusCheckedBorderColor: ThemeKeys;
    toggleControlHoverBackgroundColor: ThemeKeys;
    toggleControlHoverBorderColor: ThemeKeys;
    toggleControlHoverCheckedBackgroundColor: ThemeKeys;
    toggleControlHoverCheckedBorderColor: ThemeKeys;
    toggleControlActiveBackgroundColor: ThemeKeys;
    toggleControlActiveBorderColor: ThemeKeys;
    toggleControlActiveCheckedBackgroundColor: ThemeKeys;
    toggleControlActiveCheckedBorderColor: ThemeKeys;
    toggleControlDisabledBackgroundColor: ThemeKeys;
    toggleControlDisabledBorderColor: ThemeKeys;
    toggleControlDisabledSwitcherBackgroundColor: ThemeKeys;
    toggleControlDisabledCheckedSwitcherCheckmarkColor: ThemeKeys;
    toggleControlDisabledTextColor: ThemeKeys;
}
//# sourceMappingURL=themeTypes.d.ts.map