import React from 'react';
import { Badge as BadgeType, Size, IconField } from '../types';
declare const Actions: React.FC<ActionsProps>;
export { Actions };
export interface ActionType {
    icon?: IconField;
    link?: object;
    url?: React.AnchorHTMLAttributes<HTMLAnchorElement>;
    content?: any;
    disabled?: boolean;
    badge?: BadgeType;
}
interface ActionsProps {
    actions: ActionType[];
    size: Size;
    inverse?: boolean;
    fullWidth?: boolean;
    Link?: any;
    className?: string;
    style?: React.CSSProperties;
    nextJs?: boolean;
}
//# sourceMappingURL=index.d.ts.map