import React from 'react';
import { Status } from '../../types';
export interface CheckboxStyleProps {
    checked?: boolean;
    disabled?: boolean;
    className?: string;
    style?: React.CSSProperties;
    status?: Status;
    indeterminate?: boolean;
}
export interface CheckboxProps extends CheckboxStyleProps {
    onChange?: (value: boolean) => void;
    onBlur?: (event: React.SyntheticEvent) => void;
}
declare const Checkbox: React.FC<CheckboxProps>;
export { Checkbox };
//# sourceMappingURL=index.d.ts.map