import React from 'react';
import { LayoutStyle, LayoutContainer, LayoutContent, LayoutColumns, LayoutColumn } from './style';
import LayoutContext from './layout-context';
import { Icons } from '../EvaTypes';
declare const LayoutHeader: React.FC<{
    fixed?: boolean;
    className?: string;
}>;
declare const LayoutFooter: React.FC;
interface LayoutProps {
    dir?: 'ltr' | 'rtl';
    className?: string;
    style?: React.CSSProperties;
    withScroll?: boolean;
    windowMode?: boolean;
    withSubHeader?: boolean;
    evaIcons?: Icons;
}
declare const Layout: React.FC<LayoutProps>;
export { Layout, LayoutHeader, LayoutContent, LayoutFooter, LayoutContainer, LayoutColumns, LayoutColumn, LayoutStyle, LayoutContext, };
//# sourceMappingURL=index.d.ts.map